package Comments::L10N::fr;

use strict;
use warnings;
use utf8;
use base 'Comments::L10N';

our %Lexicon = (

## lib/MT/App/Comments.pm
    'Error assigning commenting rights to user \'[_1] (ID: [_2])\' for weblog \'[_3] (ID: [_4])\'. No suitable commenting role was found.' => 'Erreur en assignant les droits de commenter à l\'utilisateur \'[_1] (ID:[_2])\' pour le blog \'[_3] (ID:[_4])\'. Aucun rôle de commentateur adéquat n\'a été trouvé.',
    'Cannot load blog #[_1].' => 'Impossible de charger le blog #[_1].',
    'Invalid commenter login attempt from [_1] to blog [_2](ID: [_3]) which does not allow Movable Type native authentication.' => 'Tentative d\'identification échoué pour le commentateur [_1] sur le blog [_2] (ID:[_3]) qui n\'autorise pas l\'authentification native de Movable Type.',
    'Invalid login.' => 'Identifiant invalide.',
    'Invalid login' => 'Identifiant invalide',
    'Successfully authenticated, but signing up is not allowed.  Please contact your Movable Type system administrator.' => 'Authentification réussie, mais l\'enregistrement est interdit. Veuillez contacter votre administrateur Movable Type.',
    'You need to sign up first.' => 'Vous devez vous enregistrer d\'abord.',
    'The login could not be confirmed because of a database error ([_1])' => 'L\'identifiant ne peut pas être confirmé en raison d\'une erreur de base de données ([_1])',
    'Permission denied.' => 'Autorisation refusée.',
    'Login failed: permission denied for user \'[_1]\'' => 'Identification échoué : accès interdit pour l\'utilisateur \'[_1]\'',
    'Login failed: password was wrong for user \'[_1]\'' => 'Identification échoué : mot de passe incorrect pour l\'utilisateur \'[_1]\'',
    'Failed login attempt by disabled user \'[_1]\'' => 'Échec de tentative  d\'identification par l\'utilisateur désactivé \'[_1]\' ',
    'Failed login attempt by unknown user \'[_1]\'' => 'Échec de tentative d\'identification par l\'utilisateur inconnu \'[_1]\'',
    'Signing up is not allowed.' => 'Enregistrement non autorisée.',
    'Movable Type Account Confirmation' => 'Confirmation de compte Movable Type',
    'Your confirmation has expired. Please register again.' => 'Votre confirmation a expirée. Veuillez vous enregistrer à nouveau.',
    '<a href="[_1]">Return to the original page.</a>' => '<a href="[_1]">Retourner à la page initiale</a>',
    'Your confirmation have expired. Please register again.' => 'Votre confirmation a expiré. Merci de vous inscrire à nouveau.',
    'Commenter \'[_1]\' (ID:[_2]) has been successfully registered.' => 'Le commentateur \'[_1]\' (ID:[_2]) a été enregistré avec succès.',
    'Thanks for the confirmation.  Please sign in to comment.' => 'Merci pour la confirmation. Merci de vous identifier pour commenter.',
    '[_1] registered to the blog \'[_2]\'' => '[_1] est enregistré sur le blog \'[_2]\'',
    'No id' => 'Pas d\'id',
    'No such comment' => 'Pas de tel commentaire',
    'IP [_1] banned because comment rate exceeded 8 comments in [_2] seconds.' => 'l\'IP [_1] a été bannie car elle a envoyé plus de 8 commentaires en  [_2] seconds.',
    'IP Banned Due to Excessive Comments' => 'IP bannie pour cause de commentaires excessifs',
    'No entry_id' => 'Pas d\'entry_id',
    'No such entry \'[_1]\'.' => 'Aucune note \'[_1]\'.',
    '_THROTTLED_COMMENT' => 'Afin de réduire les abus, nous avons activé une fonction obligeant les auteurs de commentaire à attendre quelques instants avant de publier un autre commentaire. Veuillez attendre quelques instants avant de publier un autre commentaire. Merci.',
    'Comments are not allowed on this entry.' => 'Les commentaires ne sont pas autorisés sur cette note.',
    'Comment text is required.' => 'Le texte de commentaire est requis.',
    'An error occurred: [_1]' => 'Une erreur s\'est produite : [_1]',
    'Registration is required.' => 'L\'inscription est requise.',
    'Name and E-mail address are required.' => 'Le nom et l\'adresse e-mail sont requis.',
    'Invalid email address \'[_1]\'' => 'Adresse e-mail invalide \'[_1]\'',
    'Invalid URL \'[_1]\'' => 'URL invalide \'[_1]\'',
    'Text entered was wrong.  Try again.' => 'Le texte saisi est erroné.  Essayez à nouveau.',
    'Comment save failed with [_1]' => 'La sauvegarde du commentaire a échoué [_1]',
    'Comment on "[_1]" by [_2].' => 'Commentaire sur « [_1] » par [_2].',
    'Publishing failed: [_1]' => 'La publication a échoué : [_1]',
    'Cannot load template' => 'Impossible de charger le gabarit',
    'Failed comment attempt by pending registrant \'[_1]\'' => 'Tentative de commentaire échoué par utilisateur  \'[_1]\' en cours d\'inscription',
    'Registered User' => 'Utilisateur enregistré',
    'The sign-in attempt was not successful; Please try again.' => 'La tentative d\'enregistrement a échoué. Veuillez réessayer.',
    'Cannot load entry #[_1].' => 'Impossible de charger la note #[_1].',
    'You are trying to redirect to external resources. If you trust the site, please click the link: [_1]' => 'Vous tentez de rediriger vers une resource extérieure. Si vous faites confiance à ce site, cliquez sur ce lien : [_1]',
    'No entry was specified; perhaps there is a template problem?' => 'Aucune note n\'a été spécifiée, peut-être y a-t-il un problème de gabarit ?',
    'Somehow, the entry you tried to comment on does not exist' => 'Il semble que la note que vous souhaitez commenter n\'existe pas',
    'Invalid entry ID provided' => 'ID de note fourni invalide',
    'For improved security, please change your password' => 'Pour plus de sécurité, veuillez modifier votre mot de passe.',
    'All required fields must be populated.' => 'Tous les champs requis doivent être renseignés.',
    '[_1] contains an invalid character: [_2]' => '[_1] contient un caractère invalide : [_2]',
    'Display Name' => 'Nom à afficher',
    'Passwords do not match.' => 'Les mots de passe ne sont pas identiques.',
    'Failed to verify the current password.' => 'Impossible de vérifier le mot de passe actuel.',
    'Email Address is invalid.' => 'L\'adresse e-mail n\'est pas valide.',
    'URL is invalid.' => 'L\'URL n\'est pas valide.',
    'Commenter profile has successfully been updated.' => 'Le profil du commentateur a été modifié avec succès.',
    'Commenter profile could not be updated: [_1]' => 'Le profil du commentateur n\'a pu être modifié : [_1]',

## lib/MT/CMS/Comment.pm
    'Edit Comment' => 'Éditer les commentaires',
    '(untitled)' => '(sans titre)',
    'No such commenter [_1].' => 'Aucun commentateur [_1].',
    'User \'[_1]\' trusted commenter \'[_2]\'.' => 'L\'utilisateur \'[_1]\' a considéré comme fiable le commentateur \'[_2]\'.',
    'User \'[_1]\' banned commenter \'[_2]\'.' => 'L\'utilisateur \'[_1]\' a banni le commentateur \'[_2]\'.',
    'User \'[_1]\' unbanned commenter \'[_2]\'.' => 'L\'utilisateur \'[_1]\' a retiré le statut Banni à le commentateur \'[_2]\'.',
    'User \'[_1]\' untrusted commenter \'[_2]\'.' => 'L\'utilisateur \'[_1]\' a retiré le statut Fiable à le commentateur \'[_2]\'.',
    'The parent comment id was not specified.' => 'L\'ID du commentaire parent est manquante.',
    'The parent comment was not found.' => 'Le commentaire parent est introuvable.',
    'You cannot reply to unapproved comment.' => 'Vous ne pouvez répondre à un commentaire non approuvé.',
    'You cannot create a comment for an unpublished entry.' => 'Vous ne pouvez pas créer un commentaire sur une note non publiée.',
    'You cannot reply to unpublished comment.' => 'Vous ne pouvez pas répondre à un commentaire non publié.',
    'Comment (ID:[_1]) by \'[_2]\' deleted by \'[_3]\' from entry \'[_4]\'' => 'Commentaire (ID:[_1]) de \'[_2]\' supprimé par \'[_3]\' de la note \'[_4]\'',
    'You do not have permission to approve this trackback.' => 'Vous n\'avez pas la permission d\'approuver ce TrackBack.',
    'The entry corresponding to this comment is missing.' => 'La note correspondante à ce commentaire est manquante.',
    'You do not have permission to approve this comment.' => 'Vous n\'avez pas la permission d\'approuver ce commentaire.',
    'Orphaned comment' => 'Commentaire orphelin',

## lib/MT/Template/Tags/Commenter.pm
    'This \'[_1]\' tag has been deprecated. Please use \'[_2]\' instead.' => 'La balise \'[_1]\' est obsolète. Veuillez utiliser \'[_2]\' à la place.',

## lib/MT/Template/Tags/Comment.pm
    'The MTCommentFields tag is no longer available.  Please include the [_1] template module instead.' => 'La balise MTCommentFields n\'est plus disponible. Veuillez inclure le module de gabarit [_1] à la place.',
    'Comment Form' => 'Formulaire de commentaire',
    'TypePad authentication is not enabled in this blog.  MTRemoteSignInLink can not be used.' => 'L\'authentification TypePad n\'est pas activée sur ce blog. MTRemoteSignInLink ne peut être utilisé.',
    'To enable comment registration, you need to add a TypePad token in your weblog config or user profile.' => 'Pour activer l\'enregistrement pour les commentaires, vous devez ajouter le jeton TypePad à votre configuration de blog ou profil utilisateur.',
);

1;
