package Comments::L10N::nl;

use strict;
use warnings;
use utf8;
use base 'Comments::L10N';

our %Lexicon = (

## lib/MT/App/Comments.pm
    'Error assigning commenting rights to user \'[_1] (ID: [_2])\' for weblog \'[_3] (ID: [_4])\'. No suitable commenting role was found.' => 'Fout bij het toekennen van reactierechten aan gebruiker \'[_1] (ID: [_2])\' op weblog \'[_3] (ID: [_4])\'.  Er werd geen geschikte reageerder-rol gevonden.',
    'Cannot load blog #[_1].' => 'Kan blog #[_1] niet laden',
    'Invalid commenter login attempt from [_1] to blog [_2](ID: [_3]) which does not allow Movable Type native authentication.' => 'Ongeldige aanmeldpoging van een reageerder [_1] op blog [_2](ID: [_3]) waar geenMovable Type native authenticatie is toegelaten.',
    'Invalid login.' => 'Ongeldige gebruikersnaam.',
    'Invalid login' => 'Ongeldige gebruikersnaam',
    'Successfully authenticated, but signing up is not allowed.  Please contact your Movable Type system administrator.' => 'U bent met succes aangemeld, maar registratie is niet toegestaan op dit moment.  Gelieve contact op te nemen met uw Movable Type systeembeheerder.',
    'You need to sign up first.' => 'U moet zich eerst registreren',
    'The login could not be confirmed because of a database error ([_1])' => 'Het aanmelden kon niet worden bevestigd wegens een databaseprobleem ([_1])',
    'Permission denied.' => 'Toestemming geweigerd.',
    'Login failed: permission denied for user \'[_1]\'' => 'Aanmelden mislukt: permissie geweigerd aan gebruiker \'[_1]\'',
    'Login failed: password was wrong for user \'[_1]\'' => 'Aanmelden mislukt: fout in wachtwoord van gebruiker \'[_1]\'',
    'Failed login attempt by disabled user \'[_1]\'' => 'Mislukte poging tot aanmelden door uitgeschakelde gebruiker \'[_1]\'',
    'Failed login attempt by unknown user \'[_1]\'' => 'Mislukte poging tot aanmelden door onbekende gebruiker \'[_1]\'',
    'Signing up is not allowed.' => 'Registreren is niet toegestaan.',
    'Movable Type Account Confirmation' => 'Movable Type accountbevestiging',
    'Your confirmation has expired. Please register again.' => 'Uw bevestigingsperiode is afgelopen.  Gelieve opnieuw te registreren.',
    '<a href="[_1]">Return to the original page.</a>' => '<a href="[_1]">Terugkeren naar de oorspronkelijke pagina.</a>',
    'Your confirmation have expired. Please register again.' => 'Uw bevestiging is verlopen.  Gelieve opnieuw te registeren.',
    'Commenter \'[_1]\' (ID:[_2]) has been successfully registered.' => 'Reageerder \'[_1]\' (ID:[_2]) heeft zich met succes geregistreerd.',
    'Thanks for the confirmation.  Please sign in to comment.' => 'Bedankt voor de bevestiging.  Gelieve u aan te melden om te reageren.',
    '[_1] registered to the blog \'[_2]\'' => '[_1] registreerde zich op blog \'[_2]\'',
    'No id' => 'Geen id',
    'No such comment' => 'Reactie niet gevonden',
    'IP [_1] banned because comment rate exceeded 8 comments in [_2] seconds.' => 'IP [_1] verbannen omdat aantal reacties hoger was dan 8 in [_2] seconden.',
    'IP Banned Due to Excessive Comments' => 'IP verbannen wegens excessief achterlaten van reacties',
    'No entry_id' => 'Geen entry_id',
    'No such entry \'[_1]\'.' => 'Geen bericht \'[_1]\'.',
    '_THROTTLED_COMMENT' => 'U heeft in een korte periode te veel reacties achtergelaten.  Gelieve over enige tijd opnieuw te proberen.',
    'Comments are not allowed on this entry.' => 'Reacties op dit bericht zijn niet toegelaten.',
    'Comment text is required.' => 'Tekst van de reactie is verplicht.',
    'An error occurred: [_1]' => 'Er deed zich een probleem voor: [_1]',
    'Registration is required.' => 'Registratie is verplicht.',
    'Name and E-mail address are required.' => 'Naam en e-mail adres zijn vereist',
    'Invalid email address \'[_1]\'' => 'Ongeldig e-mail adres \'[_1]\'',
    'Invalid URL \'[_1]\'' => 'Ongeldige URL \'[_1]\'',
    'Text entered was wrong.  Try again.' => 'De ingevoerde tekst was verkeerd.  Probeer opnieuw.',
    'Comment save failed with [_1]' => 'Opslaan van reactie mislukt met [_1]',
    'Comment on "[_1]" by [_2].' => 'Reactie op "[_1]" door [_2].',
    'Publishing failed: [_1]' => 'Publicatie mislukt: [_1]',
    'Cannot load template' => 'Kan sjabloon niet laden',
    'Failed comment attempt by pending registrant \'[_1]\'' => 'Mislukte poging om een reactie achter te laten van op registratie wachtende gebruiker \'[_1]\'',
    'Registered User' => 'Geregistreerde gebruiker',
    'Cannot load entry #[_1].' => 'Kan bericht #[_1] niet laden.',
    'You are trying to redirect to external resources. If you trust the site, please click the link: [_1]' => 'U probeert om te leiden naar externe bronnen.  Als u de site vertrouwt, klik dan op de link: [_1]',
    'No entry was specified; perhaps there is a template problem?' => 'Geen bericht opgegeven; misschien is er een sjabloonprobleem?',
    'Somehow, the entry you tried to comment on does not exist' => 'Het bericht waar u een reactie op probeerde achter te laten, bestaat niet',
    'Invalid entry ID provided' => 'Ongeldig berichtID opgegeven',
    'For improved security, please change your password' => 'Gelieve uw wachtwoord te veranderen voor verhoogde veiligheid',
    'All required fields must be populated.' => 'Alle vereiste velden moeten worden ingevuld.',
    '[_1] contains an invalid character: [_2]' => '[_1] bevat een ongeldig karakter: [_2]',
    'Display Name' => 'Getoonde naam',
    'Passwords do not match.' => 'Wachtwoorden komen niet overeen.',
    'Failed to verify the current password.' => 'Bevestigen huidig wachtwoord mislukt.',
    'Email Address is invalid.' => 'E-mail adres is ongeldig.',
    'URL is invalid.' => 'URL is ongeldig.',
    'Commenter profile has successfully been updated.' => 'Reageerdersprofiel is met succes bijgewerkt.',
    'Commenter profile could not be updated: [_1]' => 'Reageerdersprofiel kon niet worden bijgewerkt: [_1]',

## lib/MT/CMS/Comment.pm
    'Edit Comment' => 'Reactie bewerken',
    '(untitled)' => '(geen titel)',
    'No such commenter [_1].' => 'Geen reageerder [_1].',
    'User \'[_1]\' trusted commenter \'[_2]\'.' => 'Gebruiker \'[_1]\' gaf reageerder \'[_2]\' de status VERTROUWD.',
    'User \'[_1]\' banned commenter \'[_2]\'.' => 'Gebruiker \'[_1]\' verbande reageerder \'[_2]\'.',
    'User \'[_1]\' unbanned commenter \'[_2]\'.' => 'Gebruiker \'[_1]\' maakte de verbanning van reageerder \'[_2]\' ongedaan.',
    'User \'[_1]\' untrusted commenter \'[_2]\'.' => 'Gebruiker \'[_1]\' gaf reageerder \'[_2]\' de status NIET VERTROUWD.',
    'The parent comment id was not specified.' => 'Het ID van de ouder van de reactie werd niet opgegeven.',
    'The parent comment was not found.' => 'De ouder-reactie werd niet gevonden.',
    'You cannot reply to unapproved comment.' => 'U kunt niet antwoorden op een niet-gekeurde reactie.',
    'You cannot create a comment for an unpublished entry.' => 'U kunt geen reactie aanmaken op een ongepubliceerd bericht.',
    'You cannot reply to unpublished comment.' => 'U kunt niet reageren op een niet gepubliceerde reactie.',
    'Comment (ID:[_1]) by \'[_2]\' deleted by \'[_3]\' from entry \'[_4]\'' => 'Reactie (ID:[_1]) door \'[_2]\' verwijderd door \'[_3]\' van bericht \'[_4]\'',
    'You do not have permission to approve this trackback.' => 'U heeft geen permissie om deze trackback goed te keuren.',
    'The entry corresponding to this comment is missing.' => 'Het bericht waarbij deze reactie hoort, ontbreekt.',
    'You do not have permission to approve this comment.' => 'U heeft geen permissie om deze reactie goed te keuren.',
    'Orphaned comment' => 'Verweesde reactie',

## lib/MT/Template/Tags/Commenter.pm
    'This \'[_1]\' tag has been deprecated. Please use \'[_2]\' instead.' => 'Deze \'[_1]\' tag word niet meer gebruikt.  Gelieve \'[_2]\' te gebruiken.',

## lib/MT/Template/Tags/Comment.pm
    'The MTCommentFields tag is no longer available.  Please include the [_1] template module instead.' => 'De MTCommentFields tag is niet langer beschikbaar.  Gelieve in de plaats de [_1] sjabloonmodule te includeren.',
    'Comment Form' => 'Reactieformulier',
    'TypePad authentication is not enabled in this blog.  MTRemoteSignInLink can not be used.' => 'TypePad authenticatie is niet ingeschakeld op deze blog.  MTRemoteSignInLink kan niet gebruikt worden.',
    'To enable comment registration, you need to add a TypePad token in your weblog config or user profile.' => 'Om registratie van reageerders mogelijk te maken, moet u een TypePad token in uw weblogconfiguratie of gebruikersprofiel invoeren.',
);

1;
