/**
 * Modules in this bundle
 * @license
 *
 * a-table:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: appleple
 *   version: 1.5.4
 *
 * a-template:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: steelydylan
 *   version: 0.5.3
 *
 * array.prototype.find:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: Paul Miller <http://paulmillr.com>
 *   contributors: Duncan Hall <himself@duncanhall.net>
 *   version: 2.0.4
 *
 * base64-js:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: T. Jameson Little <t.jameson.little@gmail.com>
 *   homepage: https://github.com/beatgammit/base64-js
 *   version: 1.2.0
 *
 * buffer:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: Feross Aboukhadijeh <feross@feross.org>
 *   contributors: Romain Beauxis <toots@rastageeks.org>, James Halliday <mail@substack.net>
 *   homepage: https://github.com/feross/buffer
 *   version: 4.9.1
 *
 * clone:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: Paul Vorbach <paul@vorba.ch> (http://paul.vorba.ch/)
 *   contributors: Blake Miner <miner.blake@gmail.com> (http://www.blakeminer.com/), Tian You <axqd001@gmail.com> (http://blog.axqd.net/), George Stagas <gstagas@gmail.com> (http://stagas.com/), Tobiasz Cudnik <tobiasz.cudnik@gmail.com> (https://github.com/TobiaszCudnik), Pavel Lang <langpavel@phpskelet.org> (https://github.com/langpavel), Dan MacTough (http://yabfog.com/), w1nk (https://github.com/w1nk), Hugh Kennedy (http://twitter.com/hughskennedy), Dustin Diaz (http://dustindiaz.com), Ilya Shaisultanov (https://github.com/diversario), Nathan MacInnes <nathan@macinn.es> (http://macinn.es/), Benjamin E. Coe <ben@npmjs.com> (https://twitter.com/benjamincoe), Nathan Zadoks (https://github.com/nathan7), Róbert Oroszi <robert+gh@oroszi.net> (https://github.com/oroce), Aurélio A. Heckert (http://softwarelivre.org/aurium), Guy Ellis (http://www.guyellisrocks.com/), fscherwi (https://fscherwi.github.io), rictic (https://github.com/rictic), Martin Jurča (https://github.com/jurca), Misery Lee <miserylee@foxmail.com> (https://github.com/miserylee)
 *   version: 2.1.0
 *
 * custom-event-polyfill:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: NO AUTHOR!
 *   contributors: Frank Panetta (http://www.savvi.io), Mikhail Reenko <reenko@yandex.ru>, Joscha Feth <joscha@feth.com> (http://www.feth.com)
 *   version: 0.3.0
 *
 * deep-extend:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   licenses: MIT (http://opensource.org/licenses/MIT)
 *   author: Viacheslav Lotsmanov <lotsmanov89@gmail.com>
 *   contributors: Romain Prieto, Max Maximov, Marshall Bowers
 *   homepage: https://github.com/unclechu/node-deep-extend
 *   version: 0.5.0
 *
 * define-properties:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: Jordan Harband
 *   version: 1.1.2
 *
 * es-abstract:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: Jordan Harband <ljharb@gmail.com>
 *   contributors: Jordan Harband <ljharb@gmail.com>
 *   version: 1.7.0
 *
 * es-to-primitive:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: Jordan Harband
 *   version: 1.1.1
 *
 * foreach:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: Manuel Stofer <manuel@takimata.ch>
 *   contributors: Manuel Stofer, Jordan Harband
 *   version: 2.0.5
 *
 * function-bind:
 *   licenses: MIT (http://opensource.org/licenses/MIT)
 *   author: Raynos <raynos2@gmail.com>
 *   contributors: Raynos, Jordan Harband
 *   homepage: https://github.com/Raynos/function-bind
 *   version: 1.1.0
 *
 * has:
 *   licenses: MIT (http://opensource.org/licenses/MIT)
 *   author: Thiago de Arruda <tpadilha84@gmail.com>
 *   homepage: https://github.com/tarruda/has
 *   version: 1.0.1
 *
 * ieee754:
 *   license: BSD-3-Clause (http://opensource.org/licenses/BSD-3-Clause)
 *   author: Feross Aboukhadijeh <feross@feross.org>
 *   contributors: Romain Beauxis <toots@rastageeks.org>
 *   version: 1.1.8
 *
 * is-callable:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: Jordan Harband <ljharb@gmail.com>
 *   contributors: Jordan Harband <ljharb@gmail.com>
 *   version: 1.1.3
 *
 * is-date-object:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: Jordan Harband
 *   version: 1.0.1
 *
 * is-regex:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: Jordan Harband
 *   homepage: https://github.com/ljharb/is-regex
 *   version: 1.0.4
 *
 * is-symbol:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: Jordan Harband
 *   version: 1.0.1
 *
 * isarray:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: Julian Gruber <mail@juliangruber.com>
 *   homepage: https://github.com/juliangruber/isarray
 *   version: 1.0.0
 *
 * morphdom:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: Patrick Steele-Idem <pnidem@gmail.com>
 *   version: 2.3.1
 *
 * object-keys:
 *   license: MIT (http://opensource.org/licenses/MIT)
 *   author: Jordan Harband <ljharb@gmail.com>
 *   contributors: Jordan Harband <ljharb@gmail.com>, Raynos <raynos2@gmail.com>, Nathan Rajlich <nathan@tootallnate.net>, Ivan Starkov <istarkov@gmail.com>, Gary Katsevman <git@gkatsev.com>
 *   version: 1.0.11
 *
 * This header is generated by licensify (https://github.com/twada/licensify)
 */
!function(t){if("object"==typeof exports&&"undefined"!=typeof module)module.exports=t();else if("function"==typeof define&&define.amd)define([],t);else{var e;e="undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:this,e.aTable=t()}}(function(){return function t(e,n,r){function o(a,l){if(!n[a]){if(!e[a]){var s="function"==typeof require&&require;if(!l&&s)return s(a,!0);if(i)return i(a,!0);var c=new Error("Cannot find module '"+a+"'");throw c.code="MODULE_NOT_FOUND",c}var u=n[a]={exports:{}};e[a][0].call(u.exports,function(t){var n=e[a][1][t];return o(n||t)},u,u.exports,t,e,n,r)}return n[a].exports}for(var i="function"==typeof require&&require,a=0;a<r.length;a++)o(r[a]);return o}({1:[function(t,e,n){"use strict";function r(t){if(Array.isArray(t)){for(var e=0,n=Array(t.length);e<t.length;e++)n[e]=t[e];return n}return Array.from(t)}function o(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")}Object.defineProperty(n,"__esModule",{value:!0});var i=function(){function t(t,e){for(var n=0;n<e.length;n++){var r=e[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(t,r.key,r)}}return function(e,n,r){return n&&t(e.prototype,n),r&&t(e,r),e}}(),a=t("./util"),l=t("morphdom"),s=t("array.prototype.find"),c="input paste copy click change keydown keyup keypress contextmenu mouseup mousedown mousemove touchstart touchend touchmove compositionstart compositionend focus",u=c.replace(/([a-z]+)/g,"[data-action-$1],")+"[data-action]",f=function(){function t(e){var n=this;o(this,t),this.atemplate=[],e&&Object.keys(e).forEach(function(t){n[t]=e[t]}),this.data||(this.data={}),this.templates||(this.templates=[]);for(var r=this.templates,i=r.length,l=0,s=i;l<s;l+=1){var c=this.templates[l],u=(0,a.selector)("#"+c).innerHTML;this.atemplate.push({id:c,html:u,binded:!1})}}return i(t,[{key:"addDataBind",value:function(t){var e=this;(0,a.on)(t,"[data-bind]","input change click",function(t){var n=t.delegateTarget,r=n.getAttribute("data-bind"),o=n.getAttribute("href"),i=n.value;o&&(i=i.replace("#","")),"checkbox"===n.getAttribute("type")?function(){var t=[],e=document.querySelectorAll('[data-bind="'+r+'"]');[].forEach.call(e,function(e){e.checked&&t.push(e.value)})}():"radio"!==n.getAttribute("type")&&e.updateDataByString(r,i)})}},{key:"addActionBind",value:function(t){var e=this;(0,a.on)(t,u,c,function(t){var n=t.delegateTarget,o=c.split(" "),i="action";o.forEach(function(e){n.getAttribute("data-action-"+e)&&t.type===e&&(i+="-"+e)});var a=n.getAttribute("data-"+i);if(a){var l=a.replace(/\(.*?\);?/,""),s=a.replace(/(.*?)\((.*?)\);?/,"$2"),u=s.split(",");if(e.e=t,e.method&&e.method[l]){var f;(f=e.method)[l].apply(f,r(u))}else e[l]&&e[l].apply(e,r(u))}})}},{key:"addTemplate",value:function(t,e){this.atemplate.push({id:t,html:e,binded:!1}),this.templates.push(t)}},{key:"getData",value:function(){return JSON.parse(JSON.stringify(this.data))}},{key:"saveData",value:function(t){var e=JSON.stringify(this.data);localStorage.setItem(t,e)}},{key:"setData",value:function(t){var e=this;Object.keys(t).forEach(function(n){"function"!=typeof t[n]&&(e.data[n]=t[n])})}},{key:"loadData",value:function(t){var e=JSON.parse(localStorage.getItem(t));e&&this.setData(e)}},{key:"getRand",value:function(t,e){return~~(Math.random()*(e-t+1))+t}},{key:"getRandText",value:function(t){for(var e="",n="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789",r=n.length,o=0;o<t;o+=1)e+=n.charAt(Math.floor(this.getRand(0,r)));return e}},{key:"getDataFromObj",value:function(t,e){t=t.replace(/\[([\w\-\.ぁ-んァ-ヶ亜-熙]+)\]/g,".$1"),t=t.replace(/^\./,"");for(var n=t.split(".");n.length;){var r=n.shift();if(!(r in e))return null;e=e[r]}return e}},{key:"getDataByString",value:function(t){var e=this.data;return this.getDataFromObj(t,e)}},{key:"updateDataByString",value:function(t,e){for(var n=this.data,r=t.split(".");r.length>1;)n=n[r.shift()];n[r.shift()]=e}},{key:"removeDataByString",value:function(t){for(var e=this.data,n=t.split(".");n.length>1;)e=e[n.shift()];var r=n.shift();r.match(/^\d+$/)?e.splice(Number(r),1):delete e[r]}},{key:"resolveBlock",value:function(t,e,n){var r=this,o=t.match(/<!-- BEGIN ([\w\-\.ぁ-んァ-ヶ亜-熙]+):touch#([\w\-\.ぁ-んァ-ヶ亜-熙]+) -->/g),i=t.match(/<!-- BEGIN ([\w\-\.ぁ-んァ-ヶ亜-熙]+):touchnot#([\w\-\.ぁ-んァ-ヶ亜-熙]+) -->/g),a=t.match(/<!-- BEGIN ([\w\-\.ぁ-んァ-ヶ亜-熙]+):exist -->/g),l=t.match(/<!-- BEGIN ([\w\-\.ぁ-んァ-ヶ亜-熙]+):empty -->/g);if(o)for(var s=0,c=o.length;s<c;s+=1){var u=o[s];u=u.replace(/([\w\-\.ぁ-んァ-ヶ亜-熙]+):touch#([\w\-\.ぁ-んァ-ヶ亜-熙]+)/,"($1):touch#($2)");var f=u.replace(/BEGIN/,"END"),h=new RegExp(u+"(([\\n\\r\\t]|.)*?)"+f,"g");t=t.replace(h,function(t,n,o,i){return""+("function"==typeof e[n]?e[n].apply(r):r.getDataFromObj(n,e))===o?i:""})}if(i)for(var p=0,d=i.length;p<d;p+=1){var y=i[p];y=y.replace(/([\w\-\.ぁ-んァ-ヶ亜-熙]+):touchnot#([\w\-\.ぁ-んァ-ヶ亜-熙]+)/,"($1):touchnot#($2)");var g=y.replace(/BEGIN/,"END"),v=new RegExp(y+"(([\\n\\r\\t]|.)*?)"+g,"g");t=t.replace(v,function(t,n,o,i){return""+("function"==typeof e[n]?e[n].apply(r):r.getDataFromObj(n,e))!==o?i:""})}if(a)for(var b=0,m=a.length;b<m;b+=1){var w=a[b];w=w.replace(/([\w\-\.ぁ-んァ-ヶ亜-熙]+):exist/,"($1):exist");var x=w.replace(/BEGIN/,"END"),E=new RegExp(w+"(([\\n\\r\\t]|.)*?)"+x,"g");t=t.replace(E,function(t,n,o){var i="function"==typeof e[n]?e[n].apply(r):r.getDataFromObj(n,e);return i||0===i?o:""})}if(l)for(var C=0,T=l.length;C<T;C+=1){var A=l[C];A=A.replace(/([\w\-\.ぁ-んァ-ヶ亜-熙]+):empty/,"($1):empty");var N=A.replace(/BEGIN/,"END"),S=new RegExp(A+"(([\\n\\r\\t]|.)*?)"+N,"g");t=t.replace(S,function(t,n,o){var i="function"==typeof e[n]?e[n].apply(r):r.getDataFromObj(n,e);return i||0===i?"":o})}return t=t.replace(/{([\w\-\.ぁ-んァ-ヶ亜-熙]+)}(\[([\w\-\.ぁ-んァ-ヶ亜-熙]+)\])*/g,function(t,o,i,a){var l=void 0;if(""+o=="i")l=n;else{if(!e[o]&&0!==e[o])return a&&r.convert&&r.convert[a]?r.convert[a].call(r,""):"";l="function"==typeof e[o]?e[o].apply(r):e[o]}return a&&r.convert&&r.convert[a]?r.convert[a].call(r,l):l})}},{key:"resolveAbsBlock",value:function(t){var e=this;return t=t.replace(/{(.*?)}/g,function(t,n){var r=e.getDataByString(n);return void 0!==r?"function"==typeof r?r.apply(e):r:t})}},{key:"resolveInclude",value:function(t){return t=t.replace(/<!-- #include id="(.*?)" -->/g,function(t,e){return(0,a.selector)("#"+e).innerHTML})}},{key:"resolveWith",value:function(t){return t=t.replace(/<!-- BEGIN ([\w\-\.ぁ-んァ-ヶ亜-熙]+):with -->(([\n\r\t]|.)*?)<!-- END ([\w\-\.ぁ-んァ-ヶ亜-熙]+):with -->/g,function(t,e){return t=t.replace(/data\-bind=['"](.*?)['"]/g,"data-bind='"+e+".$1'")})}},{key:"resolveLoop",value:function(t){var e=this;return t=t.replace(/<!-- BEGIN ([\w\-\.ぁ-んァ-ヶ亜-熙]+?):loop -->(([\n\r\t]|.)*?)<!-- END ([\w\-\.ぁ-んァ-ヶ亜-熙]+?):loop -->/g,function(t,n,r){var o=e.getDataByString(n),i=[];i="function"==typeof o?o.apply(e):o;var a="";if(i instanceof Array)for(var l=0,s=i.length;l<s;l+=1)a+=e.resolveBlock(r,i[l],l);return a=a.replace(/\\([^\\])/g,"$1")})}},{key:"removeData",value:function(t){var e=this.data;return Object.keys(e).forEach(function(n){for(var r=0,o=t.length;r<o;r+=1)n===t[r]&&delete e[n]}),this}},{key:"hasLoop",value:function(t){return!!t.match(/<!-- BEGIN ([\w\-\.ぁ-んァ-ヶ亜-熙]+?):loop -->(([\n\r\t]|.)*?)<!-- END ([\w\-\.ぁ-んァ-ヶ亜-熙]+?):loop -->/g)}},{key:"getHtml",value:function(t,e){var n=s(this.atemplate,function(e){return e.id===t}),r="";if(n&&n.html&&(r=n.html),e&&(r=t),!r)return"";var o=this.data;for(r=this.resolveInclude(r),r=this.resolveWith(r);this.hasLoop(r);)r=this.resolveLoop(r);return r=this.resolveBlock(r,o),r=r.replace(/\\([^\\])/g,"$1"),r=this.resolveAbsBlock(r),r.replace(/^([\t ])*\n/gm,"")}},{key:"update",value:function(){var t=this,e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"html",n=arguments[1],r=this.templates;this.beforeUpdated&&this.beforeUpdated();for(var o=0,i=r.length;o<i;o+=1)!function(o,i){var c=r[o],u="#"+c,f=t.getHtml(c),h=(0,a.selector)("[data-id='"+c+"']");if(h)if("text"===e)h.innerText=f;else if(n){var p=document.createElement("div");p.innerHTML=f;var d=p.querySelector(n).outerHTML;l(h.querySelector(n),d)}else l(h,"<div data-id='"+c+"'>"+f+"</div>");else(0,a.selector)(u).insertAdjacentHTML("afterend",'<div data-id="'+c+'"></div>'),"text"===e?(0,a.selector)("[data-id='"+c+"']").innerText=f:(0,a.selector)("[data-id='"+c+"']").innerHTML=f;var y=s(t.atemplate,function(t){return t.id===c});y.binded||(y.binded=!0,t.addDataBind((0,a.selector)("[data-id='"+c+"']")),t.addActionBind((0,a.selector)("[data-id='"+c+"']")))}(o);return this.updateBindingData(n),this.onUpdated&&this.onUpdated(n),this}},{key:"updateBindingData",value:function(t){for(var e=this,n=this.templates,r=0,o=n.length;r<o;r+=1){var i=n[r],l=(0,a.selector)("[data-id='"+i+"']");t&&(l=l.querySelector(t));var s=l.querySelectorAll("[data-bind]");[].forEach.call(s,function(t){var n=e.getDataByString(t.getAttribute("data-bind"));"checkbox"===t.getAttribute("type")||"radio"===t.getAttribute("type")?n===t.value&&(t.checked=!0):t.value=n});var c=l.querySelectorAll("[data-bind-oneway]");[].forEach.call(c,function(t){var n=e.getDataByString(t.getAttribute("data-bind-oneway"));"checkbox"===t.getAttribute("type")||"radio"===t.getAttribute("type")?n===t.value&&(t.checked=!0):t.value=n})}return this}},{key:"applyMethod",value:function(t){for(var e,n=arguments.length,r=Array(n>1?n-1:0),o=1;o<n;o++)r[o-1]=arguments[o];return(e=this.method)[t].apply(e,r)}},{key:"getComputedProp",value:function(t){return this.data[t].apply(this)}},{key:"remove",value:function(t){for(var e=this.data,n=t.split(".");n.length>1;)e=e[n.shift()];var r=n.shift();return r.match(/^\d+$/)?e.splice(Number(r),1):delete e[r],this}}]),t}();n.default=f,e.exports=n.default},{"./util":2,"array.prototype.find":4,morphdom:34}],2:[function(t,e,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0});var r=n.matches=function(t,e){for(var n=(t.document||t.ownerDocument).querySelectorAll(e),r=n.length;--r>=0&&n.item(r)!==t;);return r>-1},o=(n.selector=function(t){return document.querySelector(t)},n.findAncestor=function(t,e){if("function"==typeof t.closest)return t.closest(e)||null;for(;t&&t!==document;){if(r(t,e))return t;t=t.parentElement}return null});n.on=function(t,e,n,r){n.split(" ").forEach(function(n){t.addEventListener(n,function(t){var n=(t.target,o(t.target,e));n&&(t.delegateTarget=n,r(t))})})}},{}],3:[function(t,e,n){"use strict";var r=t("es-abstract/es6");e.exports=function(t){var e=r.ToObject(this),n=r.ToInteger(r.ToLength(e.length));if(!r.IsCallable(t))throw new TypeError("Array#find: predicate must be a function");if(0!==n)for(var o,i=arguments[1],a=0;a<n;a++)if(o=e[a],r.Call(t,i,[o,a,e]))return o}},{"es-abstract/es6":14}],4:[function(t,e,n){"use strict";var r=t("define-properties"),o=t("es-abstract/es6"),i=t("./implementation"),a=t("./polyfill"),l=t("./shim"),s=Array.prototype.slice,c=a(),u=function(t,e){o.RequireObjectCoercible(t);var n=s.call(arguments,1);return c.apply(t,n)};r(u,{getPolyfill:a,implementation:i,shim:l}),e.exports=u},{"./implementation":3,"./polyfill":5,"./shim":6,"define-properties":12,"es-abstract/es6":14}],5:[function(t,e,n){"use strict";e.exports=function(){return Array.prototype.find&&1!==[,1].find(function(){return!0})?Array.prototype.find:t("./implementation")}},{"./implementation":3}],6:[function(t,e,n){"use strict";var r=t("define-properties"),o=t("./polyfill");e.exports=function(){var t=o();return r(Array.prototype,{find:t},{find:function(){return Array.prototype.find!==t}}),t}},{"./polyfill":5,"define-properties":12}],7:[function(t,e,n){"use strict";function r(t){var e=t.length;if(e%4>0)throw new Error("Invalid string. Length must be a multiple of 4");return"="===t[e-2]?2:"="===t[e-1]?1:0}function o(t){return 3*t.length/4-r(t)}function i(t){var e,n,o,i,a,l,s=t.length;a=r(t),l=new f(3*s/4-a),o=a>0?s-4:s;var c=0;for(e=0,n=0;e<o;e+=4,n+=3)i=u[t.charCodeAt(e)]<<18|u[t.charCodeAt(e+1)]<<12|u[t.charCodeAt(e+2)]<<6|u[t.charCodeAt(e+3)],l[c++]=i>>16&255,l[c++]=i>>8&255,l[c++]=255&i;return 2===a?(i=u[t.charCodeAt(e)]<<2|u[t.charCodeAt(e+1)]>>4,l[c++]=255&i):1===a&&(i=u[t.charCodeAt(e)]<<10|u[t.charCodeAt(e+1)]<<4|u[t.charCodeAt(e+2)]>>2,l[c++]=i>>8&255,l[c++]=255&i),l}function a(t){return c[t>>18&63]+c[t>>12&63]+c[t>>6&63]+c[63&t]}function l(t,e,n){for(var r,o=[],i=e;i<n;i+=3)r=(t[i]<<16)+(t[i+1]<<8)+t[i+2],o.push(a(r));return o.join("")}function s(t){for(var e,n=t.length,r=n%3,o="",i=[],a=0,s=n-r;a<s;a+=16383)i.push(l(t,a,a+16383>s?s:a+16383));return 1===r?(e=t[n-1],o+=c[e>>2],o+=c[e<<4&63],o+="=="):2===r&&(e=(t[n-2]<<8)+t[n-1],o+=c[e>>10],o+=c[e>>4&63],o+=c[e<<2&63],o+="="),i.push(o),i.join("")}n.byteLength=o,n.toByteArray=i,n.fromByteArray=s;for(var c=[],u=[],f="undefined"!=typeof Uint8Array?Uint8Array:Array,h="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",p=0,d=h.length;p<d;++p)c[p]=h[p],u[h.charCodeAt(p)]=p;u["-".charCodeAt(0)]=62,u["_".charCodeAt(0)]=63},{}],8:[function(t,e,n){(function(e){/*!
 * The buffer module from node.js, for the browser.
 *
 * @author   Feross Aboukhadijeh <feross@feross.org> <http://feross.org>
 * @license  MIT
 */
"use strict";function r(){return i.TYPED_ARRAY_SUPPORT?2147483647:1073741823}function o(t,e){if(r()<e)throw new RangeError("Invalid typed array length");return i.TYPED_ARRAY_SUPPORT?(t=new Uint8Array(e),t.__proto__=i.prototype):(null===t&&(t=new i(e)),t.length=e),t}function i(t,e,n){if(!(i.TYPED_ARRAY_SUPPORT||this instanceof i))return new i(t,e,n);if("number"==typeof t){if("string"==typeof e)throw new Error("If encoding is specified then the first argument must be a string");return c(this,t)}return a(this,t,e,n)}function a(t,e,n,r){if("number"==typeof e)throw new TypeError('"value" argument must not be a number');return"undefined"!=typeof ArrayBuffer&&e instanceof ArrayBuffer?h(t,e,n,r):"string"==typeof e?u(t,e,n):p(t,e)}function l(t){if("number"!=typeof t)throw new TypeError('"size" argument must be a number');if(t<0)throw new RangeError('"size" argument must not be negative')}function s(t,e,n,r){return l(e),e<=0?o(t,e):void 0!==n?"string"==typeof r?o(t,e).fill(n,r):o(t,e).fill(n):o(t,e)}function c(t,e){if(l(e),t=o(t,e<0?0:0|d(e)),!i.TYPED_ARRAY_SUPPORT)for(var n=0;n<e;++n)t[n]=0;return t}function u(t,e,n){if("string"==typeof n&&""!==n||(n="utf8"),!i.isEncoding(n))throw new TypeError('"encoding" must be a valid string encoding');var r=0|g(e,n);t=o(t,r);var a=t.write(e,n);return a!==r&&(t=t.slice(0,a)),t}function f(t,e){var n=e.length<0?0:0|d(e.length);t=o(t,n);for(var r=0;r<n;r+=1)t[r]=255&e[r];return t}function h(t,e,n,r){if(e.byteLength,n<0||e.byteLength<n)throw new RangeError("'offset' is out of bounds");if(e.byteLength<n+(r||0))throw new RangeError("'length' is out of bounds");return e=void 0===n&&void 0===r?new Uint8Array(e):void 0===r?new Uint8Array(e,n):new Uint8Array(e,n,r),i.TYPED_ARRAY_SUPPORT?(t=e,t.__proto__=i.prototype):t=f(t,e),t}function p(t,e){if(i.isBuffer(e)){var n=0|d(e.length);return t=o(t,n),0===t.length?t:(e.copy(t,0,0,n),t)}if(e){if("undefined"!=typeof ArrayBuffer&&e.buffer instanceof ArrayBuffer||"length"in e)return"number"!=typeof e.length||X(e.length)?o(t,0):f(t,e);if("Buffer"===e.type&&W(e.data))return f(t,e.data)}throw new TypeError("First argument must be a string, Buffer, ArrayBuffer, Array, or array-like object.")}function d(t){if(t>=r())throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x"+r().toString(16)+" bytes");return 0|t}function y(t){return+t!=t&&(t=0),i.alloc(+t)}function g(t,e){if(i.isBuffer(t))return t.length;if("undefined"!=typeof ArrayBuffer&&"function"==typeof ArrayBuffer.isView&&(ArrayBuffer.isView(t)||t instanceof ArrayBuffer))return t.byteLength;"string"!=typeof t&&(t=""+t);var n=t.length;if(0===n)return 0;for(var r=!1;;)switch(e){case"ascii":case"latin1":case"binary":return n;case"utf8":case"utf-8":case void 0:return H(t).length;case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return 2*n;case"hex":return n>>>1;case"base64":return z(t).length;default:if(r)return H(t).length;e=(""+e).toLowerCase(),r=!0}}function v(t,e,n){var r=!1;if((void 0===e||e<0)&&(e=0),e>this.length)return"";if((void 0===n||n>this.length)&&(n=this.length),n<=0)return"";if(n>>>=0,e>>>=0,n<=e)return"";for(t||(t="utf8");;)switch(t){case"hex":return R(this,e,n);case"utf8":case"utf-8":return k(this,e,n);case"ascii":return I(this,e,n);case"latin1":case"binary":return P(this,e,n);case"base64":return S(this,e,n);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return O(this,e,n);default:if(r)throw new TypeError("Unknown encoding: "+t);t=(t+"").toLowerCase(),r=!0}}function b(t,e,n){var r=t[e];t[e]=t[n],t[n]=r}function m(t,e,n,r,o){if(0===t.length)return-1;if("string"==typeof n?(r=n,n=0):n>2147483647?n=2147483647:n<-2147483648&&(n=-2147483648),n=+n,isNaN(n)&&(n=o?0:t.length-1),n<0&&(n=t.length+n),n>=t.length){if(o)return-1;n=t.length-1}else if(n<0){if(!o)return-1;n=0}if("string"==typeof e&&(e=i.from(e,r)),i.isBuffer(e))return 0===e.length?-1:w(t,e,n,r,o);if("number"==typeof e)return e&=255,i.TYPED_ARRAY_SUPPORT&&"function"==typeof Uint8Array.prototype.indexOf?o?Uint8Array.prototype.indexOf.call(t,e,n):Uint8Array.prototype.lastIndexOf.call(t,e,n):w(t,[e],n,r,o);throw new TypeError("val must be string, number or Buffer")}function w(t,e,n,r,o){function i(t,e){return 1===a?t[e]:t.readUInt16BE(e*a)}var a=1,l=t.length,s=e.length;if(void 0!==r&&("ucs2"===(r=String(r).toLowerCase())||"ucs-2"===r||"utf16le"===r||"utf-16le"===r)){if(t.length<2||e.length<2)return-1;a=2,l/=2,s/=2,n/=2}var c;if(o){var u=-1;for(c=n;c<l;c++)if(i(t,c)===i(e,-1===u?0:c-u)){if(-1===u&&(u=c),c-u+1===s)return u*a}else-1!==u&&(c-=c-u),u=-1}else for(n+s>l&&(n=l-s),c=n;c>=0;c--){for(var f=!0,h=0;h<s;h++)if(i(t,c+h)!==i(e,h)){f=!1;break}if(f)return c}return-1}function x(t,e,n,r){n=Number(n)||0;var o=t.length-n;r?(r=Number(r))>o&&(r=o):r=o;var i=e.length;if(i%2!=0)throw new TypeError("Invalid hex string");r>i/2&&(r=i/2);for(var a=0;a<r;++a){var l=parseInt(e.substr(2*a,2),16);if(isNaN(l))return a;t[n+a]=l}return a}function E(t,e,n,r){return K(H(e,t.length-n),t,n,r)}function C(t,e,n,r){return K(q(e),t,n,r)}function T(t,e,n,r){return C(t,e,n,r)}function A(t,e,n,r){return K(z(e),t,n,r)}function N(t,e,n,r){return K(V(e,t.length-n),t,n,r)}function S(t,e,n){return 0===e&&n===t.length?Q.fromByteArray(t):Q.fromByteArray(t.slice(e,n))}function k(t,e,n){n=Math.min(t.length,n);for(var r=[],o=e;o<n;){var i=t[o],a=null,l=i>239?4:i>223?3:i>191?2:1;if(o+l<=n){var s,c,u,f;switch(l){case 1:i<128&&(a=i);break;case 2:s=t[o+1],128==(192&s)&&(f=(31&i)<<6|63&s)>127&&(a=f);break;case 3:s=t[o+1],c=t[o+2],128==(192&s)&&128==(192&c)&&(f=(15&i)<<12|(63&s)<<6|63&c)>2047&&(f<55296||f>57343)&&(a=f);break;case 4:s=t[o+1],c=t[o+2],u=t[o+3],128==(192&s)&&128==(192&c)&&128==(192&u)&&(f=(15&i)<<18|(63&s)<<12|(63&c)<<6|63&u)>65535&&f<1114112&&(a=f)}}null===a?(a=65533,l=1):a>65535&&(a-=65536,r.push(a>>>10&1023|55296),a=56320|1023&a),r.push(a),o+=l}return B(r)}function B(t){var e=t.length;if(e<=Z)return String.fromCharCode.apply(String,t);for(var n="",r=0;r<e;)n+=String.fromCharCode.apply(String,t.slice(r,r+=Z));return n}function I(t,e,n){var r="";n=Math.min(t.length,n);for(var o=e;o<n;++o)r+=String.fromCharCode(127&t[o]);return r}function P(t,e,n){var r="";n=Math.min(t.length,n);for(var o=e;o<n;++o)r+=String.fromCharCode(t[o]);return r}function R(t,e,n){var r=t.length;(!e||e<0)&&(e=0),(!n||n<0||n>r)&&(n=r);for(var o="",i=e;i<n;++i)o+=$(t[i]);return o}function O(t,e,n){for(var r=t.slice(e,n),o="",i=0;i<r.length;i+=2)o+=String.fromCharCode(r[i]+256*r[i+1]);return o}function D(t,e,n){if(t%1!=0||t<0)throw new RangeError("offset is not uint");if(t+e>n)throw new RangeError("Trying to access beyond buffer length")}function j(t,e,n,r,o,a){if(!i.isBuffer(t))throw new TypeError('"buffer" argument must be a Buffer instance');if(e>o||e<a)throw new RangeError('"value" argument is out of bounds');if(n+r>t.length)throw new RangeError("Index out of range")}function _(t,e,n,r){e<0&&(e=65535+e+1);for(var o=0,i=Math.min(t.length-n,2);o<i;++o)t[n+o]=(e&255<<8*(r?o:1-o))>>>8*(r?o:1-o)}function M(t,e,n,r){e<0&&(e=4294967295+e+1);for(var o=0,i=Math.min(t.length-n,4);o<i;++o)t[n+o]=e>>>8*(r?o:3-o)&255}function L(t,e,n,r,o,i){if(n+r>t.length)throw new RangeError("Index out of range");if(n<0)throw new RangeError("Index out of range")}function U(t,e,n,r,o){return o||L(t,e,n,4,3.4028234663852886e38,-3.4028234663852886e38),J.write(t,e,n,r,23,4),n+4}function G(t,e,n,r,o){return o||L(t,e,n,8,1.7976931348623157e308,-1.7976931348623157e308),J.write(t,e,n,r,52,8),n+8}function Y(t){if(t=F(t).replace(tt,""),t.length<2)return"";for(;t.length%4!=0;)t+="=";return t}function F(t){return t.trim?t.trim():t.replace(/^\s+|\s+$/g,"")}function $(t){return t<16?"0"+t.toString(16):t.toString(16)}function H(t,e){e=e||1/0;for(var n,r=t.length,o=null,i=[],a=0;a<r;++a){if((n=t.charCodeAt(a))>55295&&n<57344){if(!o){if(n>56319){(e-=3)>-1&&i.push(239,191,189);continue}if(a+1===r){(e-=3)>-1&&i.push(239,191,189);continue}o=n;continue}if(n<56320){(e-=3)>-1&&i.push(239,191,189),o=n;continue}n=65536+(o-55296<<10|n-56320)}else o&&(e-=3)>-1&&i.push(239,191,189);if(o=null,n<128){if((e-=1)<0)break;i.push(n)}else if(n<2048){if((e-=2)<0)break;i.push(n>>6|192,63&n|128)}else if(n<65536){if((e-=3)<0)break;i.push(n>>12|224,n>>6&63|128,63&n|128)}else{if(!(n<1114112))throw new Error("Invalid code point");if((e-=4)<0)break;i.push(n>>18|240,n>>12&63|128,n>>6&63|128,63&n|128)}}return i}function q(t){for(var e=[],n=0;n<t.length;++n)e.push(255&t.charCodeAt(n));return e}function V(t,e){for(var n,r,o,i=[],a=0;a<t.length&&!((e-=2)<0);++a)n=t.charCodeAt(a),r=n>>8,o=n%256,i.push(o),i.push(r);return i}function z(t){return Q.toByteArray(Y(t))}function K(t,e,n,r){for(var o=0;o<r&&!(o+n>=e.length||o>=t.length);++o)e[o+n]=t[o];return o}function X(t){return t!==t}var Q=t("base64-js"),J=t("ieee754"),W=t("isarray");n.Buffer=i,n.SlowBuffer=y,n.INSPECT_MAX_BYTES=50,i.TYPED_ARRAY_SUPPORT=void 0!==e.TYPED_ARRAY_SUPPORT?e.TYPED_ARRAY_SUPPORT:function(){try{var t=new Uint8Array(1);return t.__proto__={__proto__:Uint8Array.prototype,foo:function(){return 42}},42===t.foo()&&"function"==typeof t.subarray&&0===t.subarray(1,1).byteLength}catch(t){return!1}}(),n.kMaxLength=r(),i.poolSize=8192,i._augment=function(t){return t.__proto__=i.prototype,t},i.from=function(t,e,n){return a(null,t,e,n)},i.TYPED_ARRAY_SUPPORT&&(i.prototype.__proto__=Uint8Array.prototype,i.__proto__=Uint8Array,"undefined"!=typeof Symbol&&Symbol.species&&i[Symbol.species]===i&&Object.defineProperty(i,Symbol.species,{value:null,configurable:!0})),i.alloc=function(t,e,n){return s(null,t,e,n)},i.allocUnsafe=function(t){return c(null,t)},i.allocUnsafeSlow=function(t){return c(null,t)},i.isBuffer=function(t){return!(null==t||!t._isBuffer)},i.compare=function(t,e){if(!i.isBuffer(t)||!i.isBuffer(e))throw new TypeError("Arguments must be Buffers");if(t===e)return 0;for(var n=t.length,r=e.length,o=0,a=Math.min(n,r);o<a;++o)if(t[o]!==e[o]){n=t[o],r=e[o];break}return n<r?-1:r<n?1:0},i.isEncoding=function(t){switch(String(t).toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"latin1":case"binary":case"base64":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return!0;default:return!1}},i.concat=function(t,e){if(!W(t))throw new TypeError('"list" argument must be an Array of Buffers');if(0===t.length)return i.alloc(0);var n;if(void 0===e)for(e=0,n=0;n<t.length;++n)e+=t[n].length;var r=i.allocUnsafe(e),o=0;for(n=0;n<t.length;++n){var a=t[n];if(!i.isBuffer(a))throw new TypeError('"list" argument must be an Array of Buffers');a.copy(r,o),o+=a.length}return r},i.byteLength=g,i.prototype._isBuffer=!0,i.prototype.swap16=function(){var t=this.length;if(t%2!=0)throw new RangeError("Buffer size must be a multiple of 16-bits");for(var e=0;e<t;e+=2)b(this,e,e+1);return this},i.prototype.swap32=function(){var t=this.length;if(t%4!=0)throw new RangeError("Buffer size must be a multiple of 32-bits");for(var e=0;e<t;e+=4)b(this,e,e+3),b(this,e+1,e+2);return this},i.prototype.swap64=function(){var t=this.length;if(t%8!=0)throw new RangeError("Buffer size must be a multiple of 64-bits");for(var e=0;e<t;e+=8)b(this,e,e+7),b(this,e+1,e+6),b(this,e+2,e+5),b(this,e+3,e+4);return this},i.prototype.toString=function(){var t=0|this.length;return 0===t?"":0===arguments.length?k(this,0,t):v.apply(this,arguments)},i.prototype.equals=function(t){if(!i.isBuffer(t))throw new TypeError("Argument must be a Buffer");return this===t||0===i.compare(this,t)},i.prototype.inspect=function(){var t="",e=n.INSPECT_MAX_BYTES;return this.length>0&&(t=this.toString("hex",0,e).match(/.{2}/g).join(" "),this.length>e&&(t+=" ... ")),"<Buffer "+t+">"},i.prototype.compare=function(t,e,n,r,o){if(!i.isBuffer(t))throw new TypeError("Argument must be a Buffer");if(void 0===e&&(e=0),void 0===n&&(n=t?t.length:0),void 0===r&&(r=0),void 0===o&&(o=this.length),e<0||n>t.length||r<0||o>this.length)throw new RangeError("out of range index");if(r>=o&&e>=n)return 0;if(r>=o)return-1;if(e>=n)return 1;if(e>>>=0,n>>>=0,r>>>=0,o>>>=0,this===t)return 0;for(var a=o-r,l=n-e,s=Math.min(a,l),c=this.slice(r,o),u=t.slice(e,n),f=0;f<s;++f)if(c[f]!==u[f]){a=c[f],l=u[f];break}return a<l?-1:l<a?1:0},i.prototype.includes=function(t,e,n){return-1!==this.indexOf(t,e,n)},i.prototype.indexOf=function(t,e,n){return m(this,t,e,n,!0)},i.prototype.lastIndexOf=function(t,e,n){return m(this,t,e,n,!1)},i.prototype.write=function(t,e,n,r){if(void 0===e)r="utf8",n=this.length,e=0;else if(void 0===n&&"string"==typeof e)r=e,n=this.length,e=0;else{if(!isFinite(e))throw new Error("Buffer.write(string, encoding, offset[, length]) is no longer supported");e|=0,isFinite(n)?(n|=0,void 0===r&&(r="utf8")):(r=n,n=void 0)}var o=this.length-e;if((void 0===n||n>o)&&(n=o),t.length>0&&(n<0||e<0)||e>this.length)throw new RangeError("Attempt to write outside buffer bounds");r||(r="utf8");for(var i=!1;;)switch(r){case"hex":return x(this,t,e,n);case"utf8":case"utf-8":return E(this,t,e,n);case"ascii":return C(this,t,e,n);case"latin1":case"binary":return T(this,t,e,n);case"base64":return A(this,t,e,n);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return N(this,t,e,n);default:if(i)throw new TypeError("Unknown encoding: "+r);r=(""+r).toLowerCase(),i=!0}},i.prototype.toJSON=function(){return{type:"Buffer",data:Array.prototype.slice.call(this._arr||this,0)}};var Z=4096;i.prototype.slice=function(t,e){var n=this.length;t=~~t,e=void 0===e?n:~~e,t<0?(t+=n)<0&&(t=0):t>n&&(t=n),e<0?(e+=n)<0&&(e=0):e>n&&(e=n),e<t&&(e=t);var r;if(i.TYPED_ARRAY_SUPPORT)r=this.subarray(t,e),r.__proto__=i.prototype;else{var o=e-t;r=new i(o,void 0);for(var a=0;a<o;++a)r[a]=this[a+t]}return r},i.prototype.readUIntLE=function(t,e,n){t|=0,e|=0,n||D(t,e,this.length);for(var r=this[t],o=1,i=0;++i<e&&(o*=256);)r+=this[t+i]*o;return r},i.prototype.readUIntBE=function(t,e,n){t|=0,e|=0,n||D(t,e,this.length);for(var r=this[t+--e],o=1;e>0&&(o*=256);)r+=this[t+--e]*o;return r},i.prototype.readUInt8=function(t,e){return e||D(t,1,this.length),this[t]},i.prototype.readUInt16LE=function(t,e){return e||D(t,2,this.length),this[t]|this[t+1]<<8},i.prototype.readUInt16BE=function(t,e){return e||D(t,2,this.length),this[t]<<8|this[t+1]},i.prototype.readUInt32LE=function(t,e){return e||D(t,4,this.length),(this[t]|this[t+1]<<8|this[t+2]<<16)+16777216*this[t+3]},i.prototype.readUInt32BE=function(t,e){return e||D(t,4,this.length),16777216*this[t]+(this[t+1]<<16|this[t+2]<<8|this[t+3])},i.prototype.readIntLE=function(t,e,n){t|=0,e|=0,n||D(t,e,this.length);for(var r=this[t],o=1,i=0;++i<e&&(o*=256);)r+=this[t+i]*o;return o*=128,r>=o&&(r-=Math.pow(2,8*e)),r},i.prototype.readIntBE=function(t,e,n){t|=0,e|=0,n||D(t,e,this.length);for(var r=e,o=1,i=this[t+--r];r>0&&(o*=256);)i+=this[t+--r]*o;return o*=128,i>=o&&(i-=Math.pow(2,8*e)),i},i.prototype.readInt8=function(t,e){return e||D(t,1,this.length),128&this[t]?-1*(255-this[t]+1):this[t]},i.prototype.readInt16LE=function(t,e){e||D(t,2,this.length);var n=this[t]|this[t+1]<<8;return 32768&n?4294901760|n:n},i.prototype.readInt16BE=function(t,e){e||D(t,2,this.length);var n=this[t+1]|this[t]<<8;return 32768&n?4294901760|n:n},i.prototype.readInt32LE=function(t,e){return e||D(t,4,this.length),this[t]|this[t+1]<<8|this[t+2]<<16|this[t+3]<<24},i.prototype.readInt32BE=function(t,e){return e||D(t,4,this.length),this[t]<<24|this[t+1]<<16|this[t+2]<<8|this[t+3]},i.prototype.readFloatLE=function(t,e){return e||D(t,4,this.length),J.read(this,t,!0,23,4)},i.prototype.readFloatBE=function(t,e){return e||D(t,4,this.length),J.read(this,t,!1,23,4)},i.prototype.readDoubleLE=function(t,e){return e||D(t,8,this.length),J.read(this,t,!0,52,8)},i.prototype.readDoubleBE=function(t,e){return e||D(t,8,this.length),J.read(this,t,!1,52,8)},i.prototype.writeUIntLE=function(t,e,n,r){if(t=+t,e|=0,n|=0,!r){j(this,t,e,n,Math.pow(2,8*n)-1,0)}var o=1,i=0;for(this[e]=255&t;++i<n&&(o*=256);)this[e+i]=t/o&255;return e+n},i.prototype.writeUIntBE=function(t,e,n,r){if(t=+t,e|=0,n|=0,!r){j(this,t,e,n,Math.pow(2,8*n)-1,0)}var o=n-1,i=1;for(this[e+o]=255&t;--o>=0&&(i*=256);)this[e+o]=t/i&255;return e+n},i.prototype.writeUInt8=function(t,e,n){return t=+t,e|=0,n||j(this,t,e,1,255,0),i.TYPED_ARRAY_SUPPORT||(t=Math.floor(t)),this[e]=255&t,e+1},i.prototype.writeUInt16LE=function(t,e,n){return t=+t,e|=0,n||j(this,t,e,2,65535,0),i.TYPED_ARRAY_SUPPORT?(this[e]=255&t,this[e+1]=t>>>8):_(this,t,e,!0),e+2},i.prototype.writeUInt16BE=function(t,e,n){return t=+t,e|=0,n||j(this,t,e,2,65535,0),i.TYPED_ARRAY_SUPPORT?(this[e]=t>>>8,this[e+1]=255&t):_(this,t,e,!1),e+2},i.prototype.writeUInt32LE=function(t,e,n){return t=+t,e|=0,n||j(this,t,e,4,4294967295,0),i.TYPED_ARRAY_SUPPORT?(this[e+3]=t>>>24,this[e+2]=t>>>16,this[e+1]=t>>>8,this[e]=255&t):M(this,t,e,!0),e+4},i.prototype.writeUInt32BE=function(t,e,n){return t=+t,e|=0,n||j(this,t,e,4,4294967295,0),i.TYPED_ARRAY_SUPPORT?(this[e]=t>>>24,this[e+1]=t>>>16,this[e+2]=t>>>8,this[e+3]=255&t):M(this,t,e,!1),e+4},i.prototype.writeIntLE=function(t,e,n,r){if(t=+t,e|=0,!r){var o=Math.pow(2,8*n-1);j(this,t,e,n,o-1,-o)}var i=0,a=1,l=0;for(this[e]=255&t;++i<n&&(a*=256);)t<0&&0===l&&0!==this[e+i-1]&&(l=1),this[e+i]=(t/a>>0)-l&255;return e+n},i.prototype.writeIntBE=function(t,e,n,r){if(t=+t,e|=0,!r){var o=Math.pow(2,8*n-1);j(this,t,e,n,o-1,-o)}var i=n-1,a=1,l=0;for(this[e+i]=255&t;--i>=0&&(a*=256);)t<0&&0===l&&0!==this[e+i+1]&&(l=1),this[e+i]=(t/a>>0)-l&255;return e+n},i.prototype.writeInt8=function(t,e,n){return t=+t,e|=0,n||j(this,t,e,1,127,-128),i.TYPED_ARRAY_SUPPORT||(t=Math.floor(t)),t<0&&(t=255+t+1),this[e]=255&t,e+1},i.prototype.writeInt16LE=function(t,e,n){return t=+t,e|=0,n||j(this,t,e,2,32767,-32768),i.TYPED_ARRAY_SUPPORT?(this[e]=255&t,this[e+1]=t>>>8):_(this,t,e,!0),e+2},i.prototype.writeInt16BE=function(t,e,n){return t=+t,e|=0,n||j(this,t,e,2,32767,-32768),i.TYPED_ARRAY_SUPPORT?(this[e]=t>>>8,this[e+1]=255&t):_(this,t,e,!1),e+2},i.prototype.writeInt32LE=function(t,e,n){return t=+t,e|=0,n||j(this,t,e,4,2147483647,-2147483648),i.TYPED_ARRAY_SUPPORT?(this[e]=255&t,this[e+1]=t>>>8,this[e+2]=t>>>16,this[e+3]=t>>>24):M(this,t,e,!0),e+4},i.prototype.writeInt32BE=function(t,e,n){return t=+t,e|=0,n||j(this,t,e,4,2147483647,-2147483648),t<0&&(t=4294967295+t+1),i.TYPED_ARRAY_SUPPORT?(this[e]=t>>>24,this[e+1]=t>>>16,this[e+2]=t>>>8,this[e+3]=255&t):M(this,t,e,!1),e+4},i.prototype.writeFloatLE=function(t,e,n){return U(this,t,e,!0,n)},i.prototype.writeFloatBE=function(t,e,n){return U(this,t,e,!1,n)},i.prototype.writeDoubleLE=function(t,e,n){return G(this,t,e,!0,n)},i.prototype.writeDoubleBE=function(t,e,n){return G(this,t,e,!1,n)},i.prototype.copy=function(t,e,n,r){if(n||(n=0),r||0===r||(r=this.length),e>=t.length&&(e=t.length),e||(e=0),r>0&&r<n&&(r=n),r===n)return 0;if(0===t.length||0===this.length)return 0;if(e<0)throw new RangeError("targetStart out of bounds");if(n<0||n>=this.length)throw new RangeError("sourceStart out of bounds");if(r<0)throw new RangeError("sourceEnd out of bounds");r>this.length&&(r=this.length),t.length-e<r-n&&(r=t.length-e+n);var o,a=r-n;if(this===t&&n<e&&e<r)for(o=a-1;o>=0;--o)t[o+e]=this[o+n];else if(a<1e3||!i.TYPED_ARRAY_SUPPORT)for(o=0;o<a;++o)t[o+e]=this[o+n];else Uint8Array.prototype.set.call(t,this.subarray(n,n+a),e);return a},i.prototype.fill=function(t,e,n,r){if("string"==typeof t){if("string"==typeof e?(r=e,e=0,n=this.length):"string"==typeof n&&(r=n,n=this.length),1===t.length){var o=t.charCodeAt(0);o<256&&(t=o)}if(void 0!==r&&"string"!=typeof r)throw new TypeError("encoding must be a string");if("string"==typeof r&&!i.isEncoding(r))throw new TypeError("Unknown encoding: "+r)}else"number"==typeof t&&(t&=255);if(e<0||this.length<e||this.length<n)throw new RangeError("Out of range index");if(n<=e)return this;e>>>=0,n=void 0===n?this.length:n>>>0,t||(t=0);var a;if("number"==typeof t)for(a=e;a<n;++a)this[a]=t;else{var l=i.isBuffer(t)?t:H(new i(t,r).toString()),s=l.length;for(a=0;a<n-e;++a)this[a+e]=l[a%s]}return this};var tt=/[^+\/0-9A-Za-z-_]/g}).call(this,"undefined"!=typeof global?global:"undefined"!=typeof self?self:"undefined"!=typeof window?window:{})},{"base64-js":7,ieee754:28,isarray:33}],9:[function(t,e,n){(function(t){var n=function(){"use strict";function e(n,r,o,i,u){function f(n,o){if(null===n)return null;if(0===o)return n;var y,g;if("object"!=typeof n)return n;if(n instanceof l)y=new l;else if(n instanceof s)y=new s;else if(n instanceof c)y=new c(function(t,e){n.then(function(e){t(f(e,o-1))},function(t){e(f(t,o-1))})});else if(e.__isArray(n))y=[];else if(e.__isRegExp(n))y=new RegExp(n.source,a(n)),n.lastIndex&&(y.lastIndex=n.lastIndex);else if(e.__isDate(n))y=new Date(n.getTime());else{if(d&&t.isBuffer(n))return y=new t(n.length),n.copy(y),y;n instanceof Error?y=Object.create(n):void 0===i?(g=Object.getPrototypeOf(n),y=Object.create(g)):(y=Object.create(i),g=i)}if(r){var v=h.indexOf(n);if(-1!=v)return p[v];h.push(n),p.push(y)}if(n instanceof l)for(var b=n.keys();;){var m=b.next();if(m.done)break;var w=f(m.value,o-1),x=f(n.get(m.value),o-1);y.set(w,x)}if(n instanceof s)for(var E=n.keys();;){var m=E.next();if(m.done)break;var C=f(m.value,o-1);y.add(C)}for(var T in n){var A;g&&(A=Object.getOwnPropertyDescriptor(g,T)),A&&null==A.set||(y[T]=f(n[T],o-1))}if(Object.getOwnPropertySymbols)for(var N=Object.getOwnPropertySymbols(n),T=0;T<N.length;T++){var S=N[T],k=Object.getOwnPropertyDescriptor(n,S);(!k||k.enumerable||u)&&(y[S]=f(n[S],o-1),k.enumerable||Object.defineProperty(y,S,{enumerable:!1}))}if(u)for(var B=Object.getOwnPropertyNames(n),T=0;T<B.length;T++){var I=B[T],k=Object.getOwnPropertyDescriptor(n,I);k&&k.enumerable||(y[I]=f(n[I],o-1),Object.defineProperty(y,I,{enumerable:!1}))}return y}"object"==typeof r&&(o=r.depth,i=r.prototype,u=r.includeNonEnumerable,r=r.circular);var h=[],p=[],d=void 0!==t;return void 0===r&&(r=!0),void 0===o&&(o=1/0),f(n,o)}function n(t){return Object.prototype.toString.call(t)}function r(t){return"object"==typeof t&&"[object Date]"===n(t)}function o(t){return"object"==typeof t&&"[object Array]"===n(t)}function i(t){return"object"==typeof t&&"[object RegExp]"===n(t)}function a(t){var e="";return t.global&&(e+="g"),t.ignoreCase&&(e+="i"),t.multiline&&(e+="m"),e}var l;try{l=Map}catch(t){l=function(){}}var s;try{s=Set}catch(t){s=function(){}}var c;try{c=Promise}catch(t){c=function(){}}return e.clonePrototype=function(t){if(null===t)return null;var e=function(){};return e.prototype=t,new e},e.__objToStr=n,e.__isDate=r,e.__isArray=o,e.__isRegExp=i,e.__getRegExpFlags=a,e}();"object"==typeof e&&e.exports&&(e.exports=n)}).call(this,t("buffer").Buffer)},{buffer:8}],10:[function(t,e,n){try{var r=new window.CustomEvent("test");if(r.preventDefault(),!0!==r.defaultPrevented)throw new Error("Could not prevent default")}catch(t){var o=function(t,e){var n,r;return e=e||{bubbles:!1,cancelable:!1,detail:void 0},n=document.createEvent("CustomEvent"),n.initCustomEvent(t,e.bubbles,e.cancelable,e.detail),r=n.preventDefault,n.preventDefault=function(){r.call(this);try{Object.defineProperty(this,"defaultPrevented",{get:function(){return!0}})}catch(t){this.defaultPrevented=!0}},n};o.prototype=window.Event.prototype,window.CustomEvent=o}},{}],11:[function(t,e,n){(function(t){/*!
 * @description Recursive object extending
 * @author Viacheslav Lotsmanov <lotsmanov89@gmail.com>
 * @license MIT
 *
 * The MIT License (MIT)
 *
 * Copyright (c) 2013-2015 Viacheslav Lotsmanov
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
"use strict";function n(e){return e instanceof t||e instanceof Date||e instanceof RegExp}function r(e){if(e instanceof t){var n=new t(e.length);return e.copy(n),n}if(e instanceof Date)return new Date(e.getTime());if(e instanceof RegExp)return new RegExp(e);throw new Error("Unexpected situation")}function o(t){var e=[];return t.forEach(function(t,a){"object"==typeof t&&null!==t?Array.isArray(t)?e[a]=o(t):n(t)?e[a]=r(t):e[a]=i({},t):e[a]=t}),e}var i=e.exports=function(){if(arguments.length<1||"object"!=typeof arguments[0])return!1;if(arguments.length<2)return arguments[0];var t,e,a=arguments[0],l=Array.prototype.slice.call(arguments,1);return l.forEach(function(l){"object"!=typeof l||null===l||Array.isArray(l)||Object.keys(l).forEach(function(s){return e=a[s],t=l[s],t===a?void 0:"object"!=typeof t||null===t?void(a[s]=t):Array.isArray(t)?void(a[s]=o(t)):n(t)?void(a[s]=r(t)):"object"!=typeof e||null===e||Array.isArray(e)?void(a[s]=i({},t)):void(a[s]=i(e,t))})}),a}}).call(this,t("buffer").Buffer)},{buffer:8}],12:[function(t,e,n){"use strict";var r=t("object-keys"),o=t("foreach"),i="function"==typeof Symbol&&"symbol"==typeof Symbol(),a=Object.prototype.toString,l=function(t){return"function"==typeof t&&"[object Function]"===a.call(t)},s=Object.defineProperty&&function(){var t={};try{Object.defineProperty(t,"x",{enumerable:!1,value:t});for(var e in t)return!1;return t.x===t}catch(t){return!1}}(),c=function(t,e,n,r){(!(e in t)||l(r)&&r())&&(s?Object.defineProperty(t,e,{configurable:!0,enumerable:!1,value:n,writable:!0}):t[e]=n)},u=function(t,e){var n=arguments.length>2?arguments[2]:{},a=r(e);i&&(a=a.concat(Object.getOwnPropertySymbols(e))),o(a,function(r){c(t,r,e[r],n[r])})};u.supportsDescriptors=!!s,e.exports=u},{foreach:24,"object-keys":35}],13:[function(t,e,n){"use strict";var r=t("./helpers/isNaN"),o=t("./helpers/isFinite"),i=t("./helpers/sign"),a=t("./helpers/mod"),l=t("is-callable"),s=t("es-to-primitive/es5"),c={ToPrimitive:s,ToBoolean:function(t){return Boolean(t)},ToNumber:function(t){return Number(t)},ToInteger:function(t){var e=this.ToNumber(t);return r(e)?0:0!==e&&o(e)?i(e)*Math.floor(Math.abs(e)):e},ToInt32:function(t){return this.ToNumber(t)>>0},ToUint32:function(t){return this.ToNumber(t)>>>0},ToUint16:function(t){var e=this.ToNumber(t);if(r(e)||0===e||!o(e))return 0;var n=i(e)*Math.floor(Math.abs(e));return a(n,65536)},ToString:function(t){return String(t)},ToObject:function(t){return this.CheckObjectCoercible(t),Object(t)},CheckObjectCoercible:function(t,e){if(null==t)throw new TypeError(e||"Cannot call method on "+t);return t},IsCallable:l,SameValue:function(t,e){return t===e?0!==t||1/t==1/e:r(t)&&r(e)},Type:function(t){return null===t?"Null":void 0===t?"Undefined":"function"==typeof t||"object"==typeof t?"Object":"number"==typeof t?"Number":"boolean"==typeof t?"Boolean":"string"==typeof t?"String":void 0}};e.exports=c},{"./helpers/isFinite":16,"./helpers/isNaN":17,"./helpers/mod":19,"./helpers/sign":20,"es-to-primitive/es5":21,"is-callable":29}],14:[function(t,e,n){"use strict";var r=Object.prototype.toString,o="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator,i=o?Symbol.prototype.toString:r,a=t("./helpers/isNaN"),l=t("./helpers/isFinite"),s=Number.MAX_SAFE_INTEGER||Math.pow(2,53)-1,c=t("./helpers/assign"),u=t("./helpers/sign"),f=t("./helpers/mod"),h=t("./helpers/isPrimitive"),p=t("es-to-primitive/es6"),d=parseInt,y=t("function-bind"),g=y.call(Function.call,String.prototype.slice),v=y.call(Function.call,RegExp.prototype.test,/^0b[01]+$/i),b=y.call(Function.call,RegExp.prototype.test,/^0o[0-7]+$/i),m=["","​","￾"].join(""),w=new RegExp("["+m+"]","g"),x=y.call(Function.call,RegExp.prototype.test,w),E=y.call(Function.call,RegExp.prototype.test,/^[-+]0x[0-9a-f]+$/i),C=["\t\n\v\f\r   ᠎    ","         　\u2028","\u2029\ufeff"].join(""),T=new RegExp("(^["+C+"]+)|(["+C+"]+$)","g"),A=y.call(Function.call,String.prototype.replace),N=function(t){return A(t,T,"")},S=t("./es5"),k=t("is-regex"),B=c(c({},S),{Call:function(t,e){var n=arguments.length>2?arguments[2]:[];if(!this.IsCallable(t))throw new TypeError(t+" is not a function");return t.apply(e,n)},ToPrimitive:p,ToNumber:function(t){var e=h(t)?t:p(t,"number");if("symbol"==typeof e)throw new TypeError("Cannot convert a Symbol value to a number");if("string"==typeof e){if(v(e))return this.ToNumber(d(g(e,2),2));if(b(e))return this.ToNumber(d(g(e,2),8));if(x(e)||E(e))return NaN;var n=N(e);if(n!==e)return this.ToNumber(n)}return Number(e)},ToInt16:function(t){var e=this.ToUint16(t);return e>=32768?e-65536:e},ToInt8:function(t){var e=this.ToUint8(t);return e>=128?e-256:e},ToUint8:function(t){var e=this.ToNumber(t);if(a(e)||0===e||!l(e))return 0;var n=u(e)*Math.floor(Math.abs(e));return f(n,256)},ToUint8Clamp:function(t){var e=this.ToNumber(t);if(a(e)||e<=0)return 0;if(e>=255)return 255;var n=Math.floor(t);return n+.5<e?n+1:e<n+.5?n:n%2!=0?n+1:n},ToString:function(t){if("symbol"==typeof t)throw new TypeError("Cannot convert a Symbol value to a string");return String(t)},ToObject:function(t){return this.RequireObjectCoercible(t),Object(t)},ToPropertyKey:function(t){var e=this.ToPrimitive(t,String);return"symbol"==typeof e?i.call(e):this.ToString(e)},ToLength:function(t){var e=this.ToInteger(t);return e<=0?0:e>s?s:e},CanonicalNumericIndexString:function(t){if("[object String]"!==r.call(t))throw new TypeError("must be a string");if("-0"===t)return-0;var e=this.ToNumber(t);return this.SameValue(this.ToString(e),t)?e:void 0},RequireObjectCoercible:S.CheckObjectCoercible,IsArray:Array.isArray||function(t){return"[object Array]"===r.call(t)},IsConstructor:function(t){return"function"==typeof t&&!!t.prototype},IsExtensible:function(t){return!Object.preventExtensions||!h(t)&&Object.isExtensible(t)},IsInteger:function(t){if("number"!=typeof t||a(t)||!l(t))return!1;var e=Math.abs(t);return Math.floor(e)===e},IsPropertyKey:function(t){return"string"==typeof t||"symbol"==typeof t},IsRegExp:function(t){if(!t||"object"!=typeof t)return!1;if(o){var e=t[Symbol.match];if(void 0!==e)return S.ToBoolean(e)}return k(t)},SameValueZero:function(t,e){return t===e||a(t)&&a(e)},GetV:function(t,e){if(!this.IsPropertyKey(e))throw new TypeError("Assertion failed: IsPropertyKey(P) is not true");return this.ToObject(t)[e]},GetMethod:function(t,e){if(!this.IsPropertyKey(e))throw new TypeError("Assertion failed: IsPropertyKey(P) is not true");var n=this.GetV(t,e);if(null!=n){if(!this.IsCallable(n))throw new TypeError(e+"is not a function");return n}},Get:function(t,e){if("Object"!==this.Type(t))throw new TypeError("Assertion failed: Type(O) is not Object");if(!this.IsPropertyKey(e))throw new TypeError("Assertion failed: IsPropertyKey(P) is not true");return t[e]},Type:function(t){return"symbol"==typeof t?"Symbol":S.Type(t)},SpeciesConstructor:function(t,e){if("Object"!==this.Type(t))throw new TypeError("Assertion failed: Type(O) is not Object");var n=t.constructor;if(void 0===n)return e;if("Object"!==this.Type(n))throw new TypeError("O.constructor is not an Object");var r=o&&Symbol.species?n[Symbol.species]:void 0;if(null==r)return e;if(this.IsConstructor(r))return r;throw new TypeError("no constructor found")}});delete B.CheckObjectCoercible,e.exports=B},{"./es5":13,"./helpers/assign":15,"./helpers/isFinite":16,"./helpers/isNaN":17,"./helpers/isPrimitive":18,"./helpers/mod":19,"./helpers/sign":20,"es-to-primitive/es6":22,"function-bind":26,"is-regex":31}],15:[function(t,e,n){var r=Object.prototype.hasOwnProperty;e.exports=Object.assign||function(t,e){for(var n in e)r.call(e,n)&&(t[n]=e[n]);return t}},{}],16:[function(t,e,n){var r=Number.isNaN||function(t){return t!==t};e.exports=Number.isFinite||function(t){return"number"==typeof t&&!r(t)&&t!==1/0&&t!==-1/0}},{}],17:[function(t,e,n){e.exports=Number.isNaN||function(t){return t!==t}},{}],18:[function(t,e,n){e.exports=function(t){return null===t||"function"!=typeof t&&"object"!=typeof t}},{}],19:[function(t,e,n){e.exports=function(t,e){var n=t%e;return Math.floor(n>=0?n:n+e)}},{}],20:[function(t,e,n){e.exports=function(t){return t>=0?1:-1}},{}],21:[function(t,e,n){"use strict";var r=Object.prototype.toString,o=t("./helpers/isPrimitive"),i=t("is-callable"),a={"[[DefaultValue]]":function(t,e){var n=e||("[object Date]"===r.call(t)?String:Number);if(n===String||n===Number){var a,l,s=n===String?["toString","valueOf"]:["valueOf","toString"];for(l=0;l<s.length;++l)if(i(t[s[l]])&&(a=t[s[l]](),o(a)))return a;throw new TypeError("No default value")}throw new TypeError("invalid [[DefaultValue]] hint supplied")}};e.exports=function(t,e){return o(t)?t:a["[[DefaultValue]]"](t,e)}},{"./helpers/isPrimitive":23,"is-callable":29}],22:[function(t,e,n){"use strict";var r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator,o=t("./helpers/isPrimitive"),i=t("is-callable"),a=t("is-date-object"),l=t("is-symbol"),s=function(t,e){if(void 0===t||null===t)throw new TypeError("Cannot call method on "+t);if("string"!=typeof e||"number"!==e&&"string"!==e)throw new TypeError('hint must be "string" or "number"');var n,r,a,l="string"===e?["toString","valueOf"]:["valueOf","toString"];for(a=0;a<l.length;++a)if(n=t[l[a]],i(n)&&(r=n.call(t),o(r)))return r;throw new TypeError("No default value")},c=function(t,e){var n=t[e];if(null!==n&&void 0!==n){if(!i(n))throw new TypeError(n+" returned for property "+e+" of object "+t+" is not a function");return n}};e.exports=function(t,e){if(o(t))return t;var n="default";arguments.length>1&&(e===String?n="string":e===Number&&(n="number"));var i;if(r&&(Symbol.toPrimitive?i=c(t,Symbol.toPrimitive):l(t)&&(i=Symbol.prototype.valueOf)),void 0!==i){var u=i.call(t,n);if(o(u))return u;throw new TypeError("unable to convert exotic object to primitive")}return"default"===n&&(a(t)||l(t))&&(n="string"),s(t,"default"===n?"number":n)}},{"./helpers/isPrimitive":23,"is-callable":29,"is-date-object":30,"is-symbol":32}],23:[function(t,e,n){arguments[4][18][0].apply(n,arguments)},{dup:18}],24:[function(t,e,n){var r=Object.prototype.hasOwnProperty,o=Object.prototype.toString;e.exports=function(t,e,n){if("[object Function]"!==o.call(e))throw new TypeError("iterator must be a function");var i=t.length;if(i===+i)for(var a=0;a<i;a++)e.call(n,t[a],a,t);else for(var l in t)r.call(t,l)&&e.call(n,t[l],l,t)}},{}],25:[function(t,e,n){var r=Array.prototype.slice,o=Object.prototype.toString;e.exports=function(t){var e=this;if("function"!=typeof e||"[object Function]"!==o.call(e))throw new TypeError("Function.prototype.bind called on incompatible "+e);for(var n,i=r.call(arguments,1),a=function(){if(this instanceof n){var o=e.apply(this,i.concat(r.call(arguments)));return Object(o)===o?o:this}return e.apply(t,i.concat(r.call(arguments)))},l=Math.max(0,e.length-i.length),s=[],c=0;c<l;c++)s.push("$"+c);if(n=Function("binder","return function ("+s.join(",")+"){ return binder.apply(this,arguments); }")(a),e.prototype){var u=function(){};u.prototype=e.prototype,n.prototype=new u,u.prototype=null}return n}},{}],26:[function(t,e,n){var r=t("./implementation");e.exports=Function.prototype.bind||r},{"./implementation":25}],27:[function(t,e,n){var r=t("function-bind");e.exports=r.call(Function.call,Object.prototype.hasOwnProperty)},{"function-bind":26}],28:[function(t,e,n){n.read=function(t,e,n,r,o){var i,a,l=8*o-r-1,s=(1<<l)-1,c=s>>1,u=-7,f=n?o-1:0,h=n?-1:1,p=t[e+f];for(f+=h,i=p&(1<<-u)-1,p>>=-u,u+=l;u>0;i=256*i+t[e+f],f+=h,u-=8);for(a=i&(1<<-u)-1,i>>=-u,u+=r;u>0;a=256*a+t[e+f],f+=h,u-=8);if(0===i)i=1-c;else{if(i===s)return a?NaN:1/0*(p?-1:1);a+=Math.pow(2,r),i-=c}return(p?-1:1)*a*Math.pow(2,i-r)},n.write=function(t,e,n,r,o,i){var a,l,s,c=8*i-o-1,u=(1<<c)-1,f=u>>1,h=23===o?Math.pow(2,-24)-Math.pow(2,-77):0,p=r?0:i-1,d=r?1:-1,y=e<0||0===e&&1/e<0?1:0;for(e=Math.abs(e),isNaN(e)||e===1/0?(l=isNaN(e)?1:0,a=u):(a=Math.floor(Math.log(e)/Math.LN2),e*(s=Math.pow(2,-a))<1&&(a--,s*=2),e+=a+f>=1?h/s:h*Math.pow(2,1-f),e*s>=2&&(a++,s/=2),a+f>=u?(l=0,a=u):a+f>=1?(l=(e*s-1)*Math.pow(2,o),a+=f):(l=e*Math.pow(2,f-1)*Math.pow(2,o),a=0));o>=8;t[n+p]=255&l,p+=d,l/=256,o-=8);for(a=a<<o|l,c+=o;c>0;t[n+p]=255&a,p+=d,a/=256,c-=8);t[n+p-d]|=128*y}},{}],29:[function(t,e,n){"use strict";var r=Function.prototype.toString,o=/^\s*class /,i=function(t){try{var e=r.call(t),n=e.replace(/\/\/.*\n/g,""),i=n.replace(/\/\*[.\s\S]*\*\//g,""),a=i.replace(/\n/gm," ").replace(/ {2}/g," ");return o.test(a)}catch(t){return!1}},a=function(t){try{return!i(t)&&(r.call(t),!0)}catch(t){return!1}},l=Object.prototype.toString,s="function"==typeof Symbol&&"symbol"==typeof Symbol.toStringTag;e.exports=function(t){if(!t)return!1;if("function"!=typeof t&&"object"!=typeof t)return!1;if(s)return a(t);if(i(t))return!1;var e=l.call(t);return"[object Function]"===e||"[object GeneratorFunction]"===e}},{}],30:[function(t,e,n){"use strict";var r=Date.prototype.getDay,o=function(t){try{return r.call(t),!0}catch(t){return!1}},i=Object.prototype.toString,a="function"==typeof Symbol&&"symbol"==typeof Symbol.toStringTag;e.exports=function(t){return"object"==typeof t&&null!==t&&(a?o(t):"[object Date]"===i.call(t))}},{}],31:[function(t,e,n){"use strict";var r=t("has"),o=RegExp.prototype.exec,i=Object.getOwnPropertyDescriptor,a=function(t){try{var e=t.lastIndex;return t.lastIndex=0,o.call(t),!0}catch(t){return!1}finally{t.lastIndex=e}},l=Object.prototype.toString,s="function"==typeof Symbol&&"symbol"==typeof Symbol.toStringTag;e.exports=function(t){if(!t||"object"!=typeof t)return!1;if(!s)return"[object RegExp]"===l.call(t);var e=i(t,"lastIndex");return!(!e||!r(e,"value"))&&a(t)}},{has:27}],32:[function(t,e,n){"use strict";var r=Object.prototype.toString;if("function"==typeof Symbol&&"symbol"==typeof Symbol()){var o=Symbol.prototype.toString,i=/^Symbol\(.*\)$/,a=function(t){return"symbol"==typeof t.valueOf()&&i.test(o.call(t))};e.exports=function(t){if("symbol"==typeof t)return!0;if("[object Symbol]"!==r.call(t))return!1;try{return a(t)}catch(t){return!1}}}else e.exports=function(t){return!1}},{}],33:[function(t,e,n){var r={}.toString;e.exports=Array.isArray||function(t){return"[object Array]"==r.call(t)}},{}],34:[function(t,e,n){"use strict";function r(t){!f&&d.createRange&&(f=d.createRange(),f.selectNode(d.body));var e;return f&&f.createContextualFragment?e=f.createContextualFragment(t):(e=d.createElement("body"),e.innerHTML=t),e.childNodes[0]}function o(t,e){var n=t.nodeName,r=e.nodeName;return n===r||!!(e.actualize&&n.charCodeAt(0)<91&&r.charCodeAt(0)>90)&&n===r.toUpperCase()}function i(t,e){return e&&e!==p?d.createElementNS(e,t):d.createElement(t)}function a(t,e){for(var n=t.firstChild;n;){var r=n.nextSibling;e.appendChild(n),n=r}return e}function l(t,e){var n,r,o,i,a,l=e.attributes;for(n=l.length-1;n>=0;--n)r=l[n],o=r.name,i=r.namespaceURI,a=r.value,i?(o=r.localName||o,t.getAttributeNS(i,o)!==a&&t.setAttributeNS(i,o,a)):t.getAttribute(o)!==a&&t.setAttribute(o,a);for(l=t.attributes,n=l.length-1;n>=0;--n)r=l[n],!1!==r.specified&&(o=r.name,i=r.namespaceURI,i?(o=r.localName||o,g(e,i,o)||t.removeAttributeNS(i,o)):g(e,null,o)||t.removeAttribute(o))}function s(t,e,n){t[n]!==e[n]&&(t[n]=e[n],t[n]?t.setAttribute(n,""):t.removeAttribute(n,""))}function c(){}function u(t){return t.id}var f,h,p="http://www.w3.org/1999/xhtml",d="undefined"==typeof document?void 0:document,y=d?d.body||d.createElement("div"):{};h=y.hasAttributeNS?function(t,e,n){return t.hasAttributeNS(e,n)}:y.hasAttribute?function(t,e,n){return t.hasAttribute(n)}:function(t,e,n){return null!=t.getAttributeNode(e,n)};var g=h,v={OPTION:function(t,e){s(t,e,"selected")},INPUT:function(t,e){s(t,e,"checked"),s(t,e,"disabled"),t.value!==e.value&&(t.value=e.value),g(e,null,"value")||t.removeAttribute("value")},TEXTAREA:function(t,e){var n=e.value;if(t.value!==n&&(t.value=n),t.firstChild){if(""===n&&t.firstChild.nodeValue===t.placeholder)return;t.firstChild.nodeValue=n}},SELECT:function(t,e){if(!g(e,null,"multiple")){for(var n=0,r=e.firstChild;r;){var o=r.nodeName;if(o&&"OPTION"===o.toUpperCase()){if(g(r,null,"selected")){n;break}n++}r=r.nextSibling}t.selectedIndex=n}}},b=1,m=3,w=8,x=function(t){return function(e,n,l){function s(t){E?E.push(t):E=[t]}function f(t,e){if(t.nodeType===b)for(var n=t.firstChild;n;){var r=void 0;e&&(r=C(n))?s(r):(B(n),n.firstChild&&f(n,e)),n=n.nextSibling}}function h(t,e,n){!1!==k(t)&&(e&&e.removeChild(t),B(t),f(t,n))}function p(t){if(t.nodeType===b)for(var e=t.firstChild;e;){var n=C(e);n&&(R[n]=e),p(e),e=e.nextSibling}}function y(t){A(t);for(var e=t.firstChild;e;){var n=e.nextSibling,r=C(e);if(r){var i=R[r];i&&o(e,i)&&(e.parentNode.replaceChild(i,e),g(i,e))}y(e),e=n}}function g(r,i,a){var l,c=C(i);if(c&&delete R[c],!n.isSameNode||!n.isSameNode(e)){if(!a){if(!1===N(r,i))return;if(t(r,i),S(r),!1===I(r,i))return}if("TEXTAREA"!==r.nodeName){var u,f,p,x,E=i.firstChild,A=r.firstChild;t:for(;E;){for(p=E.nextSibling,u=C(E);A;){if(f=A.nextSibling,E.isSameNode&&E.isSameNode(A)){E=p,A=f;continue t}l=C(A);var k=A.nodeType,B=void 0;if(k===E.nodeType&&(k===b?(u?u!==l&&((x=R[u])?A.nextSibling===x?B=!1:(r.insertBefore(x,A),f=A.nextSibling,l?s(l):h(A,r,!0),A=x):B=!1):l&&(B=!1),(B=!1!==B&&o(A,E))&&g(A,E)):k!==m&&k!=w||(B=!0,A.nodeValue=E.nodeValue)),B){E=p,A=f;continue t}l?s(l):h(A,r,!0),A=f}if(u&&(x=R[u])&&o(x,E))r.appendChild(x),g(x,E);else{var P=T(E);!1!==P&&(P&&(E=P),E.actualize&&(E=E.actualize(r.ownerDocument||d)),r.appendChild(E),y(E))}E=p,A=f}for(;A;)f=A.nextSibling,(l=C(A))?s(l):h(A,r,!0),A=f}var O=v[r.nodeName];O&&O(r,i)}}if(l||(l={}),"string"==typeof n)if("#document"===e.nodeName||"HTML"===e.nodeName){var x=n;n=d.createElement("html"),n.innerHTML=x}else n=r(n);var E,C=l.getNodeKey||u,T=l.onBeforeNodeAdded||c,A=l.onNodeAdded||c,N=l.onBeforeElUpdated||c,S=l.onElUpdated||c,k=l.onBeforeNodeDiscarded||c,B=l.onNodeDiscarded||c,I=l.onBeforeElChildrenUpdated||c,P=!0===l.childrenOnly,R={};p(e);var O=e,D=O.nodeType,j=n.nodeType;if(!P)if(D===b)j===b?o(e,n)||(B(e),O=a(e,i(n.nodeName,n.namespaceURI))):O=n;else if(D===m||D===w){if(j===D)return O.nodeValue=n.nodeValue,O;O=n}if(O===n)B(e);else if(g(O,n,P),E)for(var _=0,M=E.length;_<M;_++){var L=R[E[_]];L&&h(L,L.parentNode,!1)}return!P&&O!==e&&e.parentNode&&(O.actualize&&(O=O.actualize(e.ownerDocument||d)),e.parentNode.replaceChild(O,e)),O}}(l);e.exports=x},{}],35:[function(t,e,n){"use strict";var r=Object.prototype.hasOwnProperty,o=Object.prototype.toString,i=Array.prototype.slice,a=t("./isArguments"),l=Object.prototype.propertyIsEnumerable,s=!l.call({toString:null},"toString"),c=l.call(function(){},"prototype"),u=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],f=function(t){var e=t.constructor;return e&&e.prototype===t},h={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},p=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!h["$"+t]&&r.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{f(window[t])}catch(t){return!0}}catch(t){return!0}return!1}(),d=function(t){if("undefined"==typeof window||!p)return f(t);try{return f(t)}catch(t){return!1}},y=function(t){var e=null!==t&&"object"==typeof t,n="[object Function]"===o.call(t),i=a(t),l=e&&"[object String]"===o.call(t),f=[];if(!e&&!n&&!i)throw new TypeError("Object.keys called on a non-object");var h=c&&n;if(l&&t.length>0&&!r.call(t,0))for(var p=0;p<t.length;++p)f.push(String(p));if(i&&t.length>0)for(var y=0;y<t.length;++y)f.push(String(y));else for(var g in t)h&&"prototype"===g||!r.call(t,g)||f.push(String(g));if(s)for(var v=d(t),b=0;b<u.length;++b)v&&"constructor"===u[b]||!r.call(t,u[b])||f.push(u[b]);return f};y.shim=function(){if(Object.keys){if(!function(){return 2===(Object.keys(arguments)||"").length}(1,2)){var t=Object.keys;Object.keys=function(e){return t(a(e)?i.call(e):e)}}}else Object.keys=y;return Object.keys||y},e.exports=y},{"./isArguments":36}],36:[function(t,e,n){"use strict";var r=Object.prototype.toString;e.exports=function(t){var e=r.call(t),n="[object Arguments]"===e;return n||(n="[object Array]"!==e&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===r.call(t.callee)),n}},{}],37:[function(t,e,n){"use strict";function r(t){return t&&t.__esModule?t:{default:t}}function o(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")}function i(t,e){if(!t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!e||"object"!=typeof e&&"function"!=typeof e?t:e}function a(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function, not "+typeof e);t.prototype=Object.create(e&&e.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}}),e&&(Object.setPrototypeOf?Object.setPrototypeOf(t,e):t.__proto__=e)}Object.defineProperty(n,"__esModule",{value:!0});var l=function(){function t(t,e){for(var n=0;n<e.length;n++){var r=e[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(t,r.key,r)}}return function(e,n,r){return n&&t(e.prototype,n),r&&t(e,r),e}}(),s=t("a-template"),c=r(s),u=t("clone"),f=r(u),h=t("deep-extend"),p=r(h),d=t("./util.js"),y=r(d),g='\x3c!-- BEGIN showMenu:exist --\x3e\n<ul class="a-table-menu" style="top:{menuY}px;left:{menuX}px;">\n\t\x3c!-- BEGIN mode:touch#cell --\x3e\n\t<li data-action-click="mergeCells">\\{message.mergeCells\\}</li>\n\t<li data-action-click="splitCell">\\{message.splitCell\\}</li>\n\t<li data-action-click="changeCellTypeTo(th)">\\{message.changeToTh\\}</li>\n\t<li data-action-click="changeCellTypeTo(td)">\\{message.changeToTd\\}</li>\n\t<li data-action-click="align(left)">\\{message.alignLeft\\}</li>\n\t<li data-action-click="align(center)">\\{message.alignCenter\\}</li>\n\t<li data-action-click="align(right)">\\{message.alignRight\\}</li>\n\t\x3c!-- END mode:touch#cell --\x3e\n\t\x3c!-- BEGIN mode:touch#col --\x3e\n\t<li data-action-click="insertColLeft({selectedRowNo})">\\{message.addColumnLeft\\}</li>\n\t<li data-action-click="insertColRight({selectedRowNo})">\\{message.addColumnRight\\}</li>\n\t<li data-action-click="removeCol({selectedRowNo})">\\{message.removeColumn\\}</li>\n\t\x3c!-- END mode:touch#col --\x3e\n\t\x3c!-- BEGIN mode:touch#row --\x3e\n\t<li data-action-click="insertRowAbove({selectedColNo})">\\{message.addRowTop\\}</li>\n\t<li data-action-click="insertRowBelow({selectedColNo})">\\{message.addRowBottom\\}</li>\n\t<li data-action-click="removeRow({selectedColNo})">\\{message.removeRow\\}</li>\n\t\x3c!-- END mode:touch#row --\x3e\n</ul>\n\x3c!-- END showMenu:exist --\x3e\n<div class="a-table-wrapper">\n\t\x3c!-- BEGIN inputMode:touch#table --\x3e\n\t<table class="a-table">\n\t\t<tr class="a-table-header js-table-header">\n\t\t\t<th class="a-table-first"></th>\n\t\t\t\x3c!-- BEGIN highestRow:loop --\x3e\n\t\t\t\x3c!-- \\BEGIN selectedRowNo:touch#{i} --\x3e\n\t\t\t<th data-action-click="unselect()" class="selected"><span class="a-table-toggle-btn"></span></th>\n\t\t\t\x3c!-- \\END selectedRowNo:touch#{i} --\x3e\n\t\t\t\x3c!-- \\BEGIN selectedRowNo:touchnot#{i} --\x3e\n\t\t\t<th data-action-click="selectRow({i})"><span class="a-table-toggle-btn"></span></th>\n\t\t\t\x3c!-- \\END selectedRowNo:touchnot#{i} --\x3e\n\t\t\t\n\t\t\t\x3c!-- END highestRow:loop --\x3e\n\t\t</tr>\n\t\t\x3c!-- BEGIN row:loop --\x3e\n\t\t<tr>\n\t\t\t\x3c!-- \\BEGIN selectedColNo:touchnot#{i} --\x3e\n\t\t\t<th class="a-table-side js-table-side" data-action-click="selectCol({i})"><span class="a-table-toggle-btn"></span></th>\n\t\t\t\x3c!-- \\END selectedColNo:touchnot#{i} --\x3e\n\t\t\t\x3c!-- \\BEGIN selectedColNo:touch#{i} --\x3e\n\t\t\t<th class="a-table-side js-table-side selected" data-action-click="unselect()"><span class="a-table-toggle-btn"></span></th>\n\t\t\t\x3c!-- \\END selectedColNo:touch#{i} --\x3e\n\t\t\t\x3c!-- \\BEGIN row.{i}.col:loop --\x3e\n\t\t\t<td colspan="\\{colspan\\}" rowspan="\\{rowspan\\}" data-action="updateTable(\\{i\\},{i})" data-cell-id="\\{i\\}-{i}" class="\x3c!-- \\BEGIN selected:exist --\x3ea-table-selected\x3c!-- \\END selected:exist --\x3e\x3c!-- \\BEGIN type:touch#th --\x3e a-table-th\x3c!-- END \\type:touch#th --\x3e\x3c!-- \\BEGIN mark.top:exist --\x3e a-table-border-top\x3c!-- \\END mark.top:exist --\x3e\x3c!-- \\BEGIN mark.right:exist --\x3e a-table-border-right\x3c!-- \\END mark.right:exist --\x3e\x3c!-- \\BEGIN mark.bottom:exist --\x3e a-table-border-bottom\x3c!-- \\END mark.bottom:exist --\x3e\x3c!-- \\BEGIN mark.left:exist --\x3e a-table-border-left\x3c!-- \\END mark.left:exist --\x3e\x3c!-- \\BEGIN cellClass:exist --\x3e \\{cellClass\\}\x3c!-- \\END cellClass:exist --\x3e"><div class="a-table-editable \\{align\\}" contenteditable>\\{value\\}</div></td>\n\t\t\t\x3c!-- \\END row.{i}.col:loop --\x3e\n\t\t</tr>\n\t\t\x3c!-- END row:loop --\x3e\n\t</table>\n\t\x3c!-- END inputMode:touch#table --\x3e\n\t\x3c!-- BEGIN inputMode:touch#source --\x3e\n\t<textarea data-bind="tableResult" class="a-table-textarea" data-action-input="updateResult"></textarea>\n\t\x3c!-- END inputMode:touch#source --\x3e\n</div>\n',v='\x3c!-- BEGIN showBtnList:exist --\x3e\n<div class="a-table-btn-group-list">\n\t<div class="\\{mark.btn.group\\}">\n\t\t\x3c!-- BEGIN inputMode:touch#table --\x3e\n\t\t<button type="button" class="\\{mark.btn.item\\}" data-action-click="changeInputMode(source)"><i class="\\{mark.icon.source\\}"></i></button>\n\t\t\x3c!-- END inputMode:touch#table --\x3e\n\t\t\x3c!-- BEGIN inputMode:touch#source --\x3e\n\t\t<button type="button" class="\\{mark.btn.itemActive\\}" data-action-click="changeInputMode(table)"><i class="\\{mark.icon.source\\}"></i></button>\n\t\t\x3c!-- END inputMode:touch#source --\x3e\n\t</div>\n\t<div class="\\{mark.btn.group\\}">\n\t\t<button type="button" class="\\{mark.btn.item\\}" data-action-click="mergeCells"><i class="\\{mark.icon.merge\\}"></i></button><button type="button" class="\\{mark.btn.item\\}" data-action-click="splitCell()"><i class="\\{mark.icon.split\\}"></i></button><button type="button" class="\\{mark.btn.item\\}" data-action-click="undo()"><i class="\\{mark.icon.undo\\}"></i></button>\n\t</div>\n\t<div class="\\{mark.btn.group\\}">\n\t\t<button type="button" class="\\{mark.btn.item\\}" data-action-click="changeCellTypeTo(td)">\x3c!-- BEGIN mark.icon.td:empty --\x3etd\x3c!-- END mark.icon.td:empty --\x3e\x3c!-- BEGIN mark.icon.td:exist --\x3e<i class="\\{mark.icon.td\\}"></i>\x3c!-- END mark.icon.td:exist --\x3e</button><button type="button" class="\\{mark.btn.item\\}" data-action-click="changeCellTypeTo(th)">\x3c!-- BEGIN mark.icon.th:empty --\x3eth\x3c!-- END mark.icon.th:empty --\x3e\x3c!-- BEGIN mark.icon.th:exist --\x3e<i class="\\{mark.icon.th\\}"></i>\x3c!-- END mark.icon.th:exist --\x3e</button>\n\t</div>\n\t<div class="\\{mark.btn.group\\}">\n\t\t<button type="button" class="\\{mark.btn.item\\}" data-action-click="align(left)"><i class="\\{mark.icon.alignLeft\\}"></i></button><button type="button" class="\\{mark.btn.item\\}" data-action-click="align(center)"><i class="\\{mark.icon.alignCenter\\}"></i></button><button type="button" class="\\{mark.btn.item\\}" data-action-click="align(right)"><i class="\\{mark.icon.alignRight\\}"></i></button>\n\t</div>\n\t<div class="\\{mark.btn.group\\}">\n\t\t<div class="\\{mark.actionGroup\\}">\n\t\t\t<label class="\\{mark.label\\}">セル</label>\n\t\t\t<select class="\\{mark.selector.self\\}" data-bind="cellClass" data-action-change="changeCellClass()">\n\t\t\t\t<option value="">---</option>\n\t\t\t\t\x3c!-- BEGIN selector.option:loop --\x3e\n\t\t\t\t<option value="{value}">{label}</option>\n\t\t\t\t\x3c!-- END selector.option:loop --\x3e\n\t\t\t</select>\n\t\t</div>\n\t</div>\n\t\x3c!-- BEGIN tableOption:exist --\x3e\n\t<div class="\\{mark.btn.group\\}">\n\t\t<div class="\\{mark.actionGroup\\}">\n\t\t\t<label class="\\{mark.label\\}">テーブル</label>\n\t\t\t<select class="\\{mark.selector.self\\}" data-bind="tableClass" data-action-change="update">\n\t\t\t\t<option value="">---</option>\n\t\t\t\t\x3c!-- BEGIN tableOption:loop --\x3e\n\t\t\t\t<option value="{value}">{label}</option>\n\t\t\t\t\x3c!-- END tableOption:loop --\x3e\n\t\t\t</select>\n\t\t</div>\n\t</div>\n\t\x3c!-- END tableOption:exist --\x3e\n</div>\n\x3c!-- END showBtnList:exist --\x3e\n',b='<table class="{tableClass}">\n\t\x3c!-- BEGIN row:loop --\x3e\n\t<tr>\n\t\t\x3c!-- \\BEGIN row.{i}.col:loop --\x3e\n\t\t\x3c!-- \\BEGIN type:touch#th --\x3e\n\t\t<th\x3c!-- \\BEGIN colspan:touchnot#1 --\x3e colspan="\\{colspan\\}"\x3c!-- \\END colspan:touchnot#1 --\x3e\x3c!-- \\BEGIN rowspan:touchnot#1 --\x3e rowspan="\\{rowspan\\}"\x3c!-- \\END rowspan:touchnot#1 --\x3e class="\x3c!-- \\BEGIN align:exist --\x3e\\{align\\}[getStyleByAlign]\x3c!-- \\END align:exist --\x3e\x3c!-- \\BEGIN cellClass:exist --\x3e \\{cellClass\\}\x3c!-- \\END cellClass:exist --\x3e">\\{value\\}</th>\n\t\t\x3c!-- \\END type:touch#th --\x3e\n\t\t\x3c!-- \\BEGIN type:touch#td --\x3e\n\t\t<td\x3c!-- \\BEGIN colspan:touchnot#1 --\x3e colspan="\\{colspan\\}"\x3c!-- \\END colspan:touchnot#1 --\x3e\x3c!-- \\BEGIN rowspan:touchnot#1 --\x3e rowspan="\\{rowspan\\}"\x3c!-- \\END rowspan:touchnot#1 --\x3e class="\x3c!-- \\BEGIN align:exist --\x3e\\{align\\}[getStyleByAlign] \x3c!-- \\END align:exist --\x3e\x3c!-- \\BEGIN cellClass:exist --\x3e\\{cellClass\\}\x3c!-- \\END cellClass:exist --\x3e">\\{value\\}</td>\n\t\t\x3c!-- \\END type:touch#td --\x3e\n\t\t\x3c!-- \\END row.{i}.col:loop --\x3e\n\t</tr>\n\t\x3c!-- END row:loop --\x3e\n</table>\n',m={showBtnList:!0,lang:"en",mark:{align:{default:"left",left:"left",center:"center",right:"right"},btn:{group:"a-table-btn-list",item:"a-table-btn",itemActive:"a-table-btn-active"},icon:{alignLeft:"a-table-icon a-table-icon-left",alignCenter:"a-table-icon a-table-icon-center",alignRight:"a-table-icon a-table-icon-right",undo:"a-table-icon a-table-icon-undo",merge:"a-table-icon a-table-icon-merge02",split:"a-table-icon a-table-icon-split02",table:"a-table-icon a-table-icon-th02",source:"a-table-icon a-table-icon-source01",td:"a-table-icon a-table-icon-td03",th:"a-table-icon a-table-icon-th02"},label:"a-table-label",actionGroup:"a-table-action-group",selector:{self:"a-table-selector"}},message:{mergeCells:"merge cell",splitCell:"split cell",changeToTh:"change to th",changeToTd:"change to td",alignLeft:"align left",alignCenter:"align center",alignRight:"align right",addColumnLeft:"insert column on the left",addColumnRight:"insert column on the right",removeColumn:"remove column",addRowTop:"insert row above",addRowBottom:"insert row below",removeRow:"remove row",source:"Source",mergeCellError1:"All possible cells should be selected so to merge cells into one",mergeCellConfirm1:"The top left cell's value of the selected range will only be saved. Are you sure you want to continue?",pasteError1:"You can't paste here",splitError1:"Cell is not selected",splitError2:"Only one cell should be selected",splitError3:"You can't split the cell anymore"}},w=function(t){function e(t,n){o(this,e);var r=i(this,(e.__proto__||Object.getPrototypeOf(e)).call(this));r.id=e.getUniqId(),r.menu_id=e.getUniqId(),r.addTemplate(r.id,g),r.addTemplate(r.menu_id,y.default.removeIndentNewline(v)),r.data=(0,p.default)({},m,n);var a=r.data,l="string"==typeof t?document.querySelector(t):t;a.point={x:-1,y:-1},a.selectedRowNo=-1,a.selectedColNo=-1,a.showBtnList=!0,a.row=r.parse("<table>"+l.innerHTML+"</table>"),a.tableResult=r.getTable(),a.tableClass=l.getAttribute("class")||"",a.highestRow=r.highestRow,a.history=[],a.inputMode="table",a.cellClass="",a.history.push((0,f.default)(a.row)),r.convert={},r.convert.getStyleByAlign=r.getStyleByAlign,r.convert.setClass=r.setClass
;var s="\n    <div class='a-table-container'>\n        <div data-id='"+r.menu_id+"'></div>\n        <div class='a-table-outer'>\n          <div class='a-table-inner'>\n            <div data-id='"+r.id+"'></div>\n          </div>\n        </div>\n    </div>";return y.default.before(l,s),y.default.removeElement(l),r.update(),r}return a(e,t),l(e,[{key:"highestRow",value:function(){var t=[],e=this.data.row[0],n=0;return e?(e.col.forEach(function(e){for(var r=parseInt(e.colspan),o=0;o<r;o++)t.push(n),n++}),t):t}},{key:"_getTableLength",value:function(t){return{x:this._getRowLength(t[0].col),y:this._getColLength(t)}}},{key:"_getRowLength",value:function(t){var e=0;return t.forEach(function(t){e+=parseInt(t.colspan)}),e}},{key:"_getColLength",value:function(t){var e=0,n=0;return t.forEach(function(t){0===n&&(n=parseInt(t.col[0].rowspan),e+=n),n--}),e}},{key:"_getElementByQuery",value:function(t){return document.querySelector("[data-id='"+this.id+"'] "+t)}},{key:"_getElementsByQuery",value:function(t){return document.querySelectorAll("[data-id='"+this.id+"'] "+t)}},{key:"_getSelf",value:function(){return document.querySelector("[data-id='"+this.id+"']")}},{key:"getCellByIndex",value:function(t,e){return this._getElementByQuery("[data-cell-id='"+t+"-"+e+"']")}},{key:"getCellInfoByIndex",value:function(t,e){var n=(this.id,this.getCellByIndex(t,e));if(!n)return!1;var r=y.default.offset(n),o=r.left,i=r.top,a=-1,l=-1,s=parseInt(n.getAttribute("colspan")),c=parseInt(n.getAttribute("rowspan")),u=this._getElementsByQuery(".js-table-header th"),f=this._getElementsByQuery(".js-table-side");return[].forEach.call(u,function(t,e){y.default.offset(t).left===o&&(a=e)}),[].forEach.call(f,function(t,e){y.default.offset(t).top===i&&(l=e)}),{x:a-1,y:l,width:s,height:c}}},{key:"getLargePoint",value:function(){for(var t=[],e=[],n=[],r=[],o=0,i=arguments.length;o<i;o++)t.push(arguments[o].x),e.push(arguments[o].y),n.push(arguments[o].x+arguments[o].width),r.push(arguments[o].y+arguments[o].height);var a=Math.min.apply(Math,t),l=Math.min.apply(Math,e);return{x:a,y:l,width:Math.max.apply(Math,n)-a,height:Math.max.apply(Math,r)-l}}},{key:"getSelectedPoints",value:function(){var t=[],e=this;return this.data.row.forEach(function(n,r){if(!n.col)return!1;n.col.forEach(function(n,o){if(n.selected){var i=e.getCellInfoByIndex(o,r);i&&t.push(i)}})}),t}},{key:"getSelectedPoint",value:function(){var t=this.getSelectedPoints();if(t&&t[0])return t[0]}},{key:"getAllPoints",value:function(){var t=[],e=this;return this.data.row.forEach(function(n,r){n&&n.col&&n.col.forEach(function(n,o){var i=e.getCellInfoByIndex(o,r);i&&t.push(i)})}),t}},{key:"getCellIndexByPos",value:function(t,e){var n=void 0,r=void 0,o=this;return this.data.row.forEach(function(i,a){i&&i.col&&i.col.forEach(function(i,l){var s=o.getCellInfoByIndex(l,a);s.x===t&&s.y===e&&(n=l,r=a)})}),{row:r,col:n}}},{key:"getCellByPos",value:function(t,e){var n=this.getCellIndexByPos(t,e);if(this.data.row[n.row])return this.data.row[n.row].col[n.col]}},{key:"hitTest",value:function(t,e){return t.x<e.x+e.width&&e.x<t.x+t.width&&t.y<e.y+e.height&&e.y<t.y+t.height}},{key:"markup",value:function(){var t=this.data;if(t.splited)return void(t.splited=!1);var e=this.getSelectedPoints(),n=this.getLargePoint.apply(null,e),r=this;t.row.forEach(function(t,e){if(!t||!t.col)return!1;t.col.forEach(function(t,o){var i=r.getCellInfoByIndex(o,e),a={};t.selected&&(i.x===n.x&&(a.left=!0),i.x+i.width===n.x+n.width&&(a.right=!0),i.y===n.y&&(a.top=!0),i.y+i.height===n.y+n.height&&(a.bottom=!0)),t.mark=a})})}},{key:"selectRange",value:function(t,e){var n=this.data;if(n.point){var r=this;n.row[t].col[e].selected=!0;var o=this.getSelectedPoints(),i=this.getLargePoint.apply(null,o);n.row.forEach(function(t,e){if(!t||!t.col)return!1;t.col.forEach(function(t,n){var o=r.getCellInfoByIndex(n,e);o&&r.hitTest(i,o)&&(t.selected=!0)})}),o.length>1&&this.update()}}},{key:"select",value:function(t,e){var n=this.data;n.point={x:e,y:t},n.row.forEach(function(n,r){if(!n||!n.col)return!1;n.col.forEach(function(n,o){r===t&&o===e||(n.selected=!1)})}),n.row[t].col[e].selected||(n.row[t].col[e].selected=!0)}},{key:"unselectCells",value:function(){this.data.row.forEach(function(t,e){if(!t||!t.col)return!1;t.col.forEach(function(t,e){t.selected=!1})})}},{key:"removeCell",value:function(t){for(var e=this.data.row,n=0,r=e.length;n<r;n++)for(var o=e[n].col,i=0,a=o.length;i<a;i++){var l=o[i];l===t&&(o.splice(i,1),i--,a--)}}},{key:"removeSelectedCellExcept",value:function(t){for(var e=this.data.row,n=0,r=e.length;n<r;n++)for(var o=e[n].col,i=0,a=o.length;i<a;i++){var l=o[i];l!==t&&l.selected&&(o.splice(i,1),i--,a--)}}},{key:"contextmenu",value:function(){var t=this.data;this.e.preventDefault(),t.showMenu=!0,t.menuX=this.e.clientX,t.menuY=this.e.clientY,this.update()}},{key:"parse",value:function(t){var e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"html",n=this,r=[],o=y.default.parseHTML(t),i=o.querySelectorAll("tr");return[].forEach.call(i,function(t){var o={},i=[],a=t.querySelectorAll("th,td");o.col=i,[].forEach.call(a,function(t){var r={},o="html"===e?t.innerHTML:t.innerText;"TH"===t.tagName?r.type="th":r.type="td",r.colspan=t.getAttribute("colspan")||1,r.rowspan=t.getAttribute("rowspan")||1,r.value="",o&&(r.value=o.replace(/{(.*?)}/g,"&lcub;$1&rcub;"));var a=t.getAttribute("class"),l="";if(a){a.split(/\s+/).forEach(function(t){var e=n.getAlignByStyle(t);e?r.align=e:l+=" "+t})}r.cellClass=l.substr(1),i.push(r)}),r.push(o)}),r}},{key:"parseText",value:function(t){var e=[];return t=t.replace(/"(([\n\r\t]|.)*?)"/g,function(t,e){return e.replace(/[\n\r]/g,"<br>")}),t.split(String.fromCharCode(13)).forEach(function(t){var n={},r=[];n.col=r,t.split(String.fromCharCode(9)).forEach(function(t){var e={};e.type="td",e.colspan=1,e.rowspan=1,e.value="",t&&(e.value=t.replace(/{(.*?)}/g,"&lcub;$1&rcub;")),r.push(e)}),e.push(n)}),e}},{key:"getTableClass",value:function(t){return y.default.parseHTML(t).getAttribute("class")}},{key:"toMarkdown",value:function(t){var e=y.default.parseHTML(t),n="",r=e.querySelectorAll("tr");return[].forEach.call(r,function(t,e){n+="| ";var r=t.querySelectorAll("td,th");[].forEach.call(r,function(t){n+=t.innerHTML,n+=" | "}),0===e&&(n+="\n| ",[].forEach.call(r,function(t){n+="--- | "})),n+="\n"}),n}},{key:"getTable",value:function(){return this.getHtml(b,!0).replace(/ class=""/g,"").replace(/class="(.*)? "/g,'class="$1"')}},{key:"getMarkdown",value:function(){return this.toMarkdown(this.getHtml(b,!0))}},{key:"putCaret",value:function(t){if(t)if(t.focus(),void 0!==window.getSelection&&void 0!==document.createRange){var n=document.createRange();"firefox"===e.getBrowser()&&t.hasChildNodes()&&"BR"===t.lastChild.tagName?n.setEndBefore(t.lastChild):"ie11"===e.getBrowser()&&t.hasChildNodes()&&"P"===t.lastChild.tagName&&t.lastChild.hasChildNodes()&&"BR"===t.lastChild.lastChild.tagName?n.setEndBefore(t.lastChild.lastChild):"edge"===e.getBrowser()&&t.hasChildNodes()&&"DIV"===t.lastChild.tagName&&t.lastChild.hasChildNodes()?"BR"===t.lastChild.lastChild.tagName?n.setEndBefore(t.lastChild.lastChild):n.setEndAfter(t.lastChild.lastChild):n.selectNodeContents(t),n.collapse(!1);var r=window.getSelection();r.removeAllRanges(),r.addRange(n)}else if(void 0!==document.body.createTextRange){var o=document.body.createTextRange();o.moveToElementText(t),o.collapse(!1),o.select()}}},{key:"onUpdated",value:function(){var t=this,e=this.getAllPoints(),n=this.getLargePoint.apply(null,e),r=(n.width,this._getElementByQuery("table")),o=this._getSelf().parentNode,i=this._getElementByQuery(".a-table-selected .a-table-editable"),a=this.getSelectedPoints();if(i&&!this.data.showMenu&&1===a.length&&setTimeout(function(){t.putCaret(i)},1),r){o.style.width="9999px";var l=r.offsetWidth;o.style.width=l+"px"}else o.style.width="auto";this.afterRendered&&this.afterRendered()}},{key:"undo",value:function(){var t=this.data,e=t.row,n=t.history;if(0!==t.history.length){for(;JSON.stringify(e)===JSON.stringify(t.row);)e=n.pop();e&&(0===n.length&&n.push((0,f.default)(e)),t.row=e,this.update())}}},{key:"insertRow",value:function(t,e){var n=this.data,r=n.row;r[t]?r.splice(t,0,{col:e}):r.length===t&&r.push({col:e})}},{key:"insertCellAt",value:function(t,e,n){var r=this.data,o=r.row;o[t]&&o[t].col&&o[t].col.splice(e,0,n)}},{key:"unselect",value:function(){var t=this.data;this.unselectCells(),t.selectedColNo=-1,t.selectedRowNo=-1,t.showMenu=!1,this.update()}},{key:"selectRow",value:function(t){var e=this.data;this.unselectCells(),e.showMenu=!1;var n=this.getAllPoints(),r=this.getLargePoint.apply(null,n),o={x:parseInt(t),y:0,width:1,height:r.height},i=[],a=this;n.forEach(function(t){a.hitTest(o,t)&&i.push(t)}),i.forEach(function(t){a.getCellByPos(t.x,t.y).selected=!0}),e.mode="col",e.selectedColNo=-1,e.selectedRowNo=t,e.increaseDecreaseRows&&this.contextmenu(),this.update()}},{key:"selectCol",value:function(t){var e=this.getAllPoints(),n=this.getLargePoint.apply(null,e),r={x:0,y:parseInt(t),width:n.width,height:1},o=[],i=this,a=this.data;this.unselectCells(),a.showMenu=!1,e.forEach(function(t){i.hitTest(r,t)&&o.push(t)}),o.forEach(function(t){i.getCellByPos(t.x,t.y).selected=!0}),a.mode="row",a.selectedRowNo=-1,a.selectedColNo=t,a.increaseDecreaseColumns&&this.contextmenu(),this.update()}},{key:"removeCol",value:function(t){var e=this.data;e.showMenu=!1;var n=this,r=this.getAllPoints(),o=this.getLargePoint.apply(null,r),i={x:parseInt(t),y:0,width:1,height:o.height},a=[];r.forEach(function(t){n.hitTest(i,t)&&a.push(t)}),a.forEach(function(t){var e=n.getCellByPos(t.x,t.y);1===e.colspan?n.removeCell(e):e.colspan=parseInt(e.colspan)-1}),e.history.push((0,f.default)(e.row)),this.update(),this.afterAction&&this.afterAction()}},{key:"removeRow",value:function(t){var e=this.data;e.showMenu=!1;var n=this,r=this.getAllPoints(),o=this.getLargePoint.apply(null,r);t=parseInt(t);var i={x:0,y:t,width:o.width,height:1},a={x:0,y:t+1,width:o.width,height:1},l=[],s=[],c=[];r.forEach(function(t){n.hitTest(i,t)&&l.push(t)}),r.forEach(function(t){if(n.hitTest(a,t)){var e=n.getCellByPos(t.x,t.y);e.x=t.x,t.y===a.y&&c.push(e)}}),l.forEach(function(e){var r=n.getCellByPos(e.x,e.y);1===r.rowspan?s.push(r):(r.rowspan=parseInt(r.rowspan)-1,t===e.y&&(r.x=e.x,c.push(r)))}),c.sort(function(t,e){return t.x>e.x?1:-1}),s.forEach(function(t){n.removeCell(t)}),e.row.splice(t,1),c.length>0&&(e.row[t]={col:c}),e.history.push((0,f.default)(e.row)),this.update()}},{key:"updateTable",value:function(t,n){var r=this.data,o=this.e,i=o.type,a=this.getSelectedPoints(),l=e.isSmartPhone();if("mouseup"!==i||!this.data.showMenu){var s=[parseInt(n),parseInt(t)];if(n=s[0],t=s[1],r.mode="cell",r.selectedRowNo=-1,r.selectedColNo=-1,r.showMenu=!1,"compositionstart"===i)r.beingInput=!0;else if("compositionend"===i)r.beingInput=!1;else if("click"!==i||l)if("keydown"===i&&67==o.keyCode&&(o.ctrlKey||o.metaKey)){var c=this._getElementByQuery(".a-table-selected .a-table-editable");y.default.triggerEvent(c,"copy")}else if("copy"===i)this.copyTable(o);else if("paste"===i)this.pasteTable(o);else if("mousedown"!==i||l)if("mousemove"!==i||l)if("mouseup"!==i||l)"contextmenu"===i?(this.mousedown=!1,this.contextmenu()):"touchstart"===i?1===a.length&&this.data.row[n].col[t].selected||this.data.beingInput||(this.select(n,t),this.update()):"input"===i?(y.default.hasClass(this.e.target,"a-table-editable")&&this.e.target.parentNode.getAttribute("data-cell-id")===t+"-"+n&&(r.history.push((0,f.default)(r.row)),r.row[n].col[t].value=this.e.target.innerHTML.replace(/{(.*?)}/g,"&lcub;$1&rcub;")),this.afterEntered&&this.afterEntered()):"keyup"!==i||-1===e.getBrowser().indexOf("ie")&&"edge"!==e.getBrowser()||(y.default.hasClass(this.e.target,"a-table-editable")&&this.e.target.parentNode.getAttribute("data-cell-id")===t+"-"+n&&(r.history.push((0,f.default)(r.row)),r.row[n].col[t].value=this.e.target.innerHTML.replace(/{(.*?)}/g,"&lcub;$1&rcub;")),this.afterEntered&&this.afterEntered());else{this.mousedown=!1;var u=this._getElementByQuery(".a-table-selected .a-table-editable");a.length>1&&this.putCaret(u)}else this.mousedown&&this.selectRange(n,t);else 2===this.e.button||this.e.ctrlKey||(this.mousedown=!0,this.data.beingInput||1===a.length&&this.data.row[n].col[t].selected||(this.select(n,t),this.update()));else this.e.shiftKey&&this.selectRange(n,t)}}},{key:"copyTable",value:function(t){if(!(this.getSelectedPoints().length<=1)){t.preventDefault();var e='<meta name="generator" content="Sheets"><table>';this.data.row.forEach(function(t,n){if(!t.col)return!1;e+="<tr>",t.col.forEach(function(t,n){t.selected&&(e+="<"+t.type+' colspan="'+t.colspan+'" rowspan="'+t.rowspan+'">'+t.value+"</"+t.type+">")}),e+="</tr>"}),e+="</table>",e=e.replace(/<table>(<tr><\/tr>)*/g,"<table>"),e=e.replace(/(<tr><\/tr>)*<\/table>/g,"</table>"),t.clipboardData?t.clipboardData.setData("text/html",e):window.clipboardData&&window.clipboardData.setData("Text",e)}}},{key:"pasteTable",value:function(t){this.data;t.clipboardData?this.processPaste(t.clipboardData.getData("text/html")):window.clipboardData&&this.getClipBoardData()}},{key:"getClipBoardData",value:function(){for(var t=document.createDocumentFragment(),e=this.getSelectedPoint(),n=this.getCellIndexByPos(e.x,e.y),r=this.getCellByIndex(n.col,n.row),o=r.querySelector(".a-table-editable");o.childNodes.length>0;)t.appendChild(o.childNodes[0]);return this.waitForPastedData(o,t),!0}},{key:"waitForPastedData",value:function(t,e){var n=this;if(t.childNodes&&t.childNodes.length>0){var r=t.innerHTML;t.innerHTML="",t.appendChild(e),this.processPaste(r)}else setTimeout(function(){n.waitForPastedData(t,e)},20)}},{key:"processPaste",value:function(t){var e=this.e;e.preventDefault();var n=this.getSelectedPoint(),r=t.match(/<table(.*)>(([\n\r\t]|.)*?)<\/table>/i),o=this.data;if(r&&r[0]){var i=this.parse(r[0],"text");if(i&&i.length)return this.insertTable(i,{x:n.x,y:n.y}),void o.history.push((0,f.default)(o.row))}var a=this.parseText(t);if(a&&a[0]&&a[0].col&&a[0].col.length>1){var l=this.getSelectedPoint();this.insertTable(a,{x:l.x,y:l.y}),this.update(),o.history.push((0,f.default)(o.row))}else if(e.clipboardData){var s=e.clipboardData.getData("text/plain");document.execCommand("insertText",!1,s)}else if(window.clipboardData){var c=window.clipboardData.getData("Text");y.default.replaceSelectionWithHtml(c)}}},{key:"insertTable",value:function(t,e){for(var n=this,r=this._getTableLength(this.data.row),o=this._getTableLength(t),i=e.x+o.x-r.x,a=e.y+o.y-r.y,l=r.x,s=(this.data.row,[]),c=[],u=this.data,h=(0,f.default)(u.row);a>0;){for(var p=[],d=0;d<l;d++){var y={type:"td",colspan:1,rowspan:1,value:""};p.push(y)}this.insertRow(r.y,p),a--}i>0&&this.data.row.forEach(function(t){for(var e=0;e<i;e++)t.col.push({type:"td",colspan:1,rowspan:1,value:""})}),this.update();var g={},v={x:e.x,y:e.y};if(v.y+=o.y-1,v.x+=o.x-1,this.data.row.forEach(function(t,e){if(!t.col)return!1;t.col.forEach(function(t,r){var o=n.getCellInfoByIndex(r,e);o.x+o.width-1===v.x&&o.y+o.height-1===v.y&&(g.x=r,g.y=e)})}),void 0===g.x)return alert(this.data.message.pasteError1),this.data.row=h,void this.update();this.selectRange(g.y,g.x);var b=this.getSelectedPoints(),m=this.getLargePoint.apply(null,b);if(m.width!==o.x||m.height!==o.y)return alert(this.data.message.pasteError1),this.data.row=h,void this.update();var w={x:0,y:m.y,width:m.x,height:m.height};this.getAllPoints().forEach(function(t){if(n.hitTest(w,t)){var e=n.getCellIndexByPos(t.x,t.y);n.getCellByPos(t.x,t.y),s.push(e)}}),s.forEach(function(t){var e=t.row;t.row<m.y||(c[e]||(c[e]=[]),c[e].push(t))});for(var x=1,E=c.length;x<E;x++)c[x]&&c[x].sort(function(t,e){return t.col>e.col?1:-1});for(var C=m.y,T=C+m.height;C<T;C++)c[C]||(c[C]=[],c[C].push({row:C,col:-1}));this.removeSelectedCellExcept();var A=0;c.forEach(function(e){var r=e[e.length-1];t[A]&&t[A].col.reverse().forEach(function(t){n.insertCellAt(r.row,r.col+1,{type:"td",colspan:parseInt(t.colspan),rowspan:parseInt(t.rowspan),value:t.value,selected:!0})}),A++}),this.update()}},{key:"updateResult",value:function(){var t=this.data;t.row=this.parse(t.tableResult),t.tableClass=this.getTableClass(t.tableResult),t.history.push((0,f.default)(t.row)),"table"===t.inputMode&&this.update(),this.afterEntered&&this.afterEntered()}},{key:"insertColRight",value:function(t){var e=this.data;e.selectedRowNo=parseInt(t),e.showMenu=!1;var n=this,r=this.getAllPoints(),o=this.getLargePoint.apply(null,r),i={x:parseInt(t),y:0,width:1,height:o.height},a=[];r.forEach(function(t){n.hitTest(i,t)&&a.push(t)}),a.forEach(function(t){var e=n.getCellIndexByPos(t.x,t.y),r=n.getCellByPos(t.x,t.y),o={type:"td",colspan:1,rowspan:r.rowspan,value:""};void 0!==e.row&&void 0!==e.col&&(t.width+t.x-i.x>1?(r.colspan=parseInt(r.colspan)+1,r.colspan+=""):n.insertCellAt(e.row,e.col+1,o))}),e.history.push((0,f.default)(e.row)),this.update(),this.afterAction&&this.afterAction()}},{key:"insertColLeft",value:function(t){var e=this.data;t=parseInt(t),e.selectedRowNo=t+1,e.showMenu=!1;var n=this,r=this.getAllPoints(),o=this.getLargePoint.apply(null,r),i={x:parseInt(t)-1,y:0,width:1,height:o.height},a=[];if(r.forEach(function(t){n.hitTest(i,t)&&a.push(t)}),0===t){for(var l=o.height,s=0;s<l;s++){var c={type:"td",colspan:1,rowspan:1,value:""};n.insertCellAt(s,0,c)}return e.history.push((0,f.default)(e.row)),n.update(),void(this.afterAction&&this.afterAction())}a.forEach(function(t){var e=n.getCellIndexByPos(t.x,t.y),r=n.getCellByPos(t.x,t.y),o={type:"td",colspan:1,rowspan:r.rowspan,value:""};void 0!==e.row&&void 0!==e.col&&(t.width+t.x-i.x>1?(r.colspan=parseInt(r.colspan)+1,r.colspan+=""):n.insertCellAt(e.row,e.col+1,o))}),e.history.push((0,f.default)(e.row)),this.update(),this.afterAction&&this.afterAction()}},{key:"beforeUpdated",value:function(){this.changeSelectOption(),this.markup()}},{key:"insertRowBelow",value:function(t){var e=this.data;e.showMenu=!1,e.selectedColNo=parseInt(t);var n=this,r=this.getAllPoints(),o=this.getLargePoint.apply(null,r);t=parseInt(t);var i={x:0,y:t+1,width:o.width,height:1},a=[],l=[];if(r.forEach(function(t){n.hitTest(i,t)&&a.push(t)}),0===a.length){for(var s=o.width,c=0;c<s;c++){var u={type:"td",colspan:1,rowspan:1,value:""};l.push(u)}return n.insertRow(t+1,l),void n.update()}a.forEach(function(e){var r=n.getCellIndexByPos(e.x,e.y),o=n.getCellByPos(e.x,e.y);if(o){var i={type:"td",colspan:1,rowspan:1,value:""};if(void 0!==r.row&&void 0!==r.col)if(e.height>1&&e.y<=t)o.rowspan=parseInt(o.rowspan)+1,o.rowspan+="";else if(r.row===t+1)for(var a=parseInt(o.colspan),s=0;s<a;s++)l.push({type:"td",colspan:1,rowspan:1,value:""});else n.insertCellAt(r.row+1,r.col,i)}}),this.insertRow(t+1,l),e.history.push((0,f.default)(e.row)),this.update()}},{key:"insertRowAbove",value:function(t){var e=this.data;e.showMenu=!1,e.selectedColNo=parseInt(t)+1;var n=this,r=this.getAllPoints(),o=this.getLargePoint.apply(null,r);t=parseInt(t);var i={x:0,y:t-1,width:o.width,height:1},a=[],l=[];if(r.forEach(function(t){n.hitTest(i,t)&&a.push(t)}),0===t){for(var s=o.width,c=0;c<s;c++){var u={type:"td",colspan:1,rowspan:1,value:""};l.push(u)}return n.insertRow(0,l),void n.update()}a.forEach(function(e){var r=n.getCellIndexByPos(e.x,e.y),o=n.getCellByPos(e.x,e.y);if(o){var i={type:"td",colspan:1,rowspan:1,value:""};if(void 0!==r.row&&void 0!==r.col)if(e.height>1)o.rowspan=parseInt(o.rowspan)+1,o.rowspan+="";else if(r.row===t-1)for(var a=parseInt(o.colspan),s=0;s<a;s++)l.push({type:"td",colspan:1,rowspan:1,value:""});else n.insertCellAt(r.row,r.col,i)}}),this.insertRow(t,l),e.history.push((0,f.default)(this.data.row)),this.update()}},{key:"mergeCells",value:function(){var t=this.data,e=this.getSelectedPoints();if(!this.isSelectedCellsRectangle())return void alert(this.data.message.mergeCellError1);if(0!==e.length&&confirm(this.data.message.mergeCellConfirm1)){var n=this.getLargePoint.apply(null,e),r=this.getCellByPos(n.x,n.y);this.removeSelectedCellExcept(r),r.colspan=n.width,r.rowspan=n.height,t.showMenu=!1,t.history.push((0,f.default)(t.row)),this.update(),this.afterAction&&this.afterAction()}}},{key:"splitCell",value:function(){var t=this.data,e=this.getSelectedPoints(),n=e.length;if(0===n)return void alert(this.data.message.splitError1);if(n>1)return void alert(this.data.message.splitError2);var r=this.getSelectedPoint(),o={x:0,y:r.y,width:r.x,height:r.height},i=this.getAllPoints(),a=this.getCellIndexByPos(r.x,r.y),l=this.getCellByPos(r.x,r.y),s=parseInt(l.colspan),c=parseInt(l.rowspan),u=l.value,h=this,p=[],d=[];if(1===s&&1===c)return void alert(this.data.message.splitError3);i.forEach(function(t){if(h.hitTest(o,t)){var e=h.getCellIndexByPos(t.x,t.y);h.getCellByPos(t.x,t.y);p.push(e)}}),p.forEach(function(t){var e=t.row;t.row<a.row||(d[e]||(d[e]=[]),d[e].push(t))});for(var y=1,g=d.length;y<g;y++)d[y]&&d[y].sort(function(t,e){return t.col>e.col?1:-1});for(var v=r.y,b=v+c;v<b;v++)d[v]||(d[v]=[],d[v].push({row:v,col:-1}));var m=!0;d.forEach(function(t){for(var e=t[t.length-1],n=0;n<s;n++){var r="";!0===m&&n===s-1&&(r=u,m=!1),h.insertCellAt(e.row,e.col+1,{type:"td",colspan:1,rowspan:1,value:r,selected:!0})}}),this.removeCell(l),t.showMenu=!1,t.history.push((0,f.default)(t.row)),t.splited=!0,this.update(),this.afterAction&&this.afterAction()}},{key:"changeCellTypeTo",value:function(t){var e=this.data;e.row.forEach(function(e,n){e.col.forEach(function(e,n){e.selected&&(e.type=t)})}),e.showMenu=!1,e.history.push((0,f.default)(e.row)),this.update(),this.afterAction&&this.afterAction()}},{key:"align",value:function(t){var e=this.data;e.row.forEach(function(e,n){e.col.forEach(function(e,n){e.selected&&(e.align=t)})}),e.showMenu=!1,e.history.push((0,f.default)(e.row)),this.update(),this.afterAction&&this.afterAction()}},{key:"getStyleByAlign",value:function(t){var e=this.data.mark.align;return e.default===t?"":e[t]}},{key:"getAlignByStyle",value:function(t){var e=this.data.mark.align;return e.right===t?"right":e.center===t?"center":e.left===t?"left":void 0}},{key:"isSelectedCellsRectangle",value:function(){var t=this.getSelectedPoints(),e=this.getLargePoint.apply(null,t),n=this.getAllPoints(),r=!0,o=this;return n.forEach(function(t){if(o.hitTest(e,t)){o.getCellByPos(t.x,t.y).selected||(r=!1)}}),r}},{key:"changeInputMode",value:function(t){var e=this.data;e.inputMode=t,"source"===t?e.tableResult=this.getTable():(e.row=this.parse(e.tableResult),e.tableClass=this.getTableClass(e.tableResult)),this.update()}},{key:"changeCellClass",value:function(){var t=this.data,e=t.cellClass;t.row.forEach(function(t,n){t.col.forEach(function(t,n){t.selected&&(t.cellClass=e)})}),t.history.push((0,f.default)(t.row)),this.update(),this.afterAction&&this.afterAction()}},{key:"changeSelectOption",value:function(){var t=void 0,e=!0,n=this.data;n.row.forEach(function(n){n.col.forEach(function(n){n.selected&&(t?t&&t!==n.cellClass&&(e=!1):t=n.cellClass)})}),n.cellClass=e&&t?t:""}}],[{key:"isSmartPhone",value:function(){var t=navigator.userAgent;return t.indexOf("iPhone")>0||t.indexOf("iPad")>0||t.indexOf("ipod")>0||t.indexOf("Android")>0}},{key:"getBrowser",value:function(){var t=window.navigator.userAgent.toLowerCase(),e=window.navigator.appVersion.toLowerCase(),n="unknown";return-1!=t.indexOf("msie")?n=-1!=e.indexOf("msie 6.")?"ie6":-1!=e.indexOf("msie 7.")?"ie7":-1!=e.indexOf("msie 8.")?"ie8":-1!=e.indexOf("msie 9.")?"ie9":-1!=e.indexOf("msie 10.")?"ie10":"ie":-1!=t.indexOf("trident/7")?n="ie11":-1!=t.indexOf("edge")?n="edge":-1!=t.indexOf("chrome")?n="chrome":-1!=t.indexOf("safari")?n="safari":-1!=t.indexOf("opera")?n="opera":-1!=t.indexOf("firefox")&&(n="firefox"),n}},{key:"getUniqId",value:function(){return(Date.now().toString(36)+Math.random().toString(36).substr(2,5)).toUpperCase()}}]),e}(c.default);n.default=w,e.exports=n.default},{"./util.js":38,"a-template":1,clone:9,"deep-extend":11}],38:[function(t,e,n){"use strict";function r(t){t=t||{};for(var e=1;e<arguments.length;e++){var n=arguments[e];if(n)for(var i in n)n.hasOwnProperty(i)&&("object"===o(n[i])?t[i]=r(t[i],n[i]):t[i]=n[i])}return t}var o="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t};t("custom-event-polyfill"),e.exports.before=function(t,e){t.insertAdjacentHTML("beforebegin",e)},e.exports.removeElement=function(t){t&&t.parentNode&&t.parentNode.removeChild(t)},e.exports.offset=function(t){var e=t.getBoundingClientRect();return{top:e.top+document.body.scrollTop,left:e.left+document.body.scrollLeft}},e.exports.parseHTML=function(t){var e=document.implementation.createHTMLDocument("");return e.body.innerHTML=t,e.body.children[0]},e.exports.hasClass=function(t,e){return t.classList?t.classList.contains(e):new RegExp("(^| )"+e+"( |$)","gi").test(t.className)},e.exports.replaceSelectionWithHtml=function(t){var e=void 0;if(window.getSelection&&window.getSelection().getRangeAt){e=window.getSelection().getRangeAt(0),e.deleteContents();var n=document.createElement("div");n.innerHTML=t;for(var r=document.createDocumentFragment(),o=void 0;o=n.firstChild;)r.appendChild(o);e.insertNode(r)}else document.selection&&document.selection.createRange&&(e=document.selection.createRange(),e.pasteHTML(t))},e.exports.extend=r,e.exports.triggerEvent=function(t,e,n){var r=void 0;window.CustomEvent?r=new CustomEvent(e,{cancelable:!0}):(r=document.createEvent("CustomEvent"),r.initCustomEvent(e,!1,!1,n)),t.dispatchEvent(r)},e.exports.removeIndentNewline=function(t){return t.replace(/(\n|\t)/g,"")}},{"custom-event-polyfill":10}]},{},[37])(37)});